<?php
/*
Copyright 2017	Matthias Rauch
www.raapp.de

Dieses Programm ist freie Software. Sie können es unter den Bedingungen der GNU General Public License,
wie von der Free Software Foundation veröffentlicht, weitergeben und/oder modifizieren,
entweder gemäß Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.
Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, daß es Ihnen von Nutzen sein wird,
aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK.
Details finden Sie in der GNU General Public License.
Sie sollten ein Exemplar der GNU General Public License zusammen mit diesem Programm erhalten haben.
Falls nicht, siehe <http://www.gnu.org/licenses/>.

*/
session_start();
include('../config.php');
include('../funktionen.php');
$link=db_verbinden($db_host, $db_name, $db_user, $db_pass);

htmlkopf();
sessioncheck1();
zeige_kopf('index');

echo "<div id='container'>";

function anzeigen() {
	global $link;
	echo "<p class='edit_neu'><a href='account.php?sw=3'><IMG SRC='images/raapp_bearbeiten.png'></a>Neuen Account anlegen</p>
		<table class='edit'>
		<tr><th></th><th>Account</th><th>Vorname</th><th>Nachname</th><th>Mail</th><th>aktiv</th></tr>";
		$abfrage="SELECT * FROM kasse_usr where art=2";
		// echo $abfrage;
		$erg = mysqli_query($link, $abfrage);

		while ( $mykasse=mysqli_fetch_object( $erg )) {
			echo "<tr><td><a href='account.php?sw=1&id=$mykasse->id'><IMG SRC='images/raapp_bearbeiten.png' onmouseover='InfoBoxAnzeigen(event,info[1],40,-30);' onmouseout='InfoBoxAusblenden();'></a>
				<a href='account.php?sw=4&id=$mykasse->id'><IMG SRC='images/raapp_del.png' onmouseover='InfoBoxAnzeigen(event,info[2],40,-30);' onmouseout='InfoBoxAusblenden();'></a></td>
				<td><a href='account.php?sw=5&id=$mykasse->id'>$mykasse->account</a></td>
				<td>$mykasse->vorname</td><td>$mykasse->nachname</td>
				<td>$mykasse->mailadresse</td>
				<td>$mykasse->aktiv</td>
			</tr>";
		}
	echo "</table><br>";
}

function anzeigen_form($id) {
	global $link;
	$abfrage="SELECT * FROM kasse_usr where id=" . $id;
	// echo $abfrage;
	$erg = mysqli_query($link, $abfrage);
	$satz=mysqli_fetch_array($erg);

	echo "<p> </p><form method='post' action='account.php?sw=2'>
		<table class='edit_form'>
		<tr><th>Anmeldung</th><th>letzter Update</th></tr>
		<tr><td>" . $satz['datum_anmeld'] . "</td><td>" . $satz['datum_update'] . "</td></tr>
		<tr><th><br>Account</th></tr>
		<tr><td><input name='account' type='text' size='20' value='". $satz['account'] . "'></td></tr>
		<tr><th><br>Mail / Benutzer *</th></tr>
		<tr><td><input name='mailadresse' type='text' size='20' value='". $satz['mailadresse'] . "'></td></tr>
		
		<tr><th><br></th></tr>

		<tr><th><br>Vorname</th></tr>
		<tr><td><input name='id' type='hidden' size='8' value='". $satz['id'] . "'>
			<input name='vorname' type='text' size='20' value='". $satz['vorname'] . "'></td></tr>
		
		<tr><th>Nachname</th></tr>
		<tr><td><input name='nachname' type='text' size='20' value='". $satz['nachname'] . "'></td></tr>
		
		<tr><th>Strasse</th></tr>
		<tr><td><input name='strasse' type='text' size='20' value='". $satz['strasse'] . "'></td></tr>
		
		<tr><th>Postleitzahl</th></tr>
		<tr><td><input name='plz' type='text' size='1' value='". $satz['plz'] . "'></td></tr>
		
		<tr><th>Ort</th></tr>
		<tr><td><input name='ort' type='text' size='20' value='". $satz['ort'] . "'></td></tr>
		</table>
		<br><input class='navig' type='submit' value=' speichern '></form>
		<br><br>* Pflichtfelder<br>";
}

function update_account($post) {
	global $link;
	
	$abfrage="SELECT id, Count(*) as anzahl from kasse_usr where account like '" . $post['account'] . "'";
	$erg = mysqli_query($link, $abfrage);
	list($idselect, $anzahl)=mysqli_fetch_row($erg);
	
	$aendern = "UPDATE kasse_usr SET account='" . $post['account'] . "' ,vorname='" . $post['vorname'] . "' , nachname='" . $post['nachname'] . "' ,
				strasse='" . $post['strasse'] . "' , plz='" . $post['plz'] . "' , ort='" . $post['ort'] . "' ,
				mailadresse='" . $post['mailadresse'] . "' , datum_update=now()"
				. " where id=" . $post['id'];
	// echo "<br>$aendern<br>";
	
	if($anzahl<1) {
		// update neuer Account
		$erg = mysqli_query($link, $aendern);
	} else {
		if($idselect==$post['id']) {
			// update eines bestehenden Accounts
			$erg = mysqli_query($link, $aendern);
		} else {
			echo "<p class='fehlermeldung'>Der Account ist bereits vorhanden, bitte wählen Sie einen anderen Account</p>";
		}
	}
}

function neuer_account() {
	global $link;
	
	$abfrage="INSERT into kasse_usr set datum_anmeld=now(), datum_update=now(), vorname='neuer Benutzer', nachname='', mailadresse='', aktiv='1', art='2', account='neuer Account', strasse='', plz='', ort=''";
	$erg = mysqli_query($link, $abfrage);
	// echo $abfrage;
	
	$abfrage="SELECT id FROM kasse_usr where account like 'neuer Account' ORDER BY id DESC LIMIT 1";
	// echo "<br>Select: " . $abfrage;
	$erg = mysqli_query($link, $abfrage);
	$satz=mysqli_fetch_array($erg);
	// echo "<br>ID: " . $satz['id'];
	return($satz['id']);
}

function del_abfrage($id) {
	echo "<p class='fehlermeldung'>Warnung !!
		<br>Das löschen des Account löscht alle zugehörigen Umsätze und Einstellungen</p>
		<A class='navig' HREF='account.php?sw=0'>Bitte abbrechen</A>
		<br><br><br>Ich bin mir ganz sicher und möchte<br><A class='navig' HREF='account.php?sw=6&id=$id'>alle Daten des Account löschen</A>
		<br><br>";
}

function wechsel_account($id) {
	global $link;
	
	$abfrage = "SELECT id, vorname, nachname, mailadresse, aktiv, art, account from kasse_usr where id like '" . $id . "'";
	$erg = mysqli_query($link, $abfrage);
	list($usrid, $vorname, $nachname, $mailadresse, $aktiv, $art, $acc)=mysqli_fetch_row($erg);

	if($usrid>0 and $art>1) {
		$r['ret']=3;
		$r['usrid']=$usrid;
		$_SESSION['GlobalNachname']=$nachname;
		$_SESSION['GlobalVorname']=$vorname;
		$_SESSION['GlobalEmail']=$mailadresse;
		$_SESSION['GlobalAccount']=$acc;
		$_SESSION['GlobalArt']=$art;
		$_SESSION['versuch']="";
		
		header( "refresh:2;url=account.php" );
		echo "<p class='fehlermeldung'>Neuer aktiver Account ist $acc</p>";
	} else {
		echo "<p class='fehlermeldung'>Accountwechsel nach $acc ist nicht möglich</p>";
	}
}

function del_account($id) {
	global $link;
	
	$abfrage="SELECT Count(*) as anzahl from kasse_usr where art=2";
	$erg = mysqli_query($link, $abfrage);
	list($anzahl)=mysqli_fetch_row($erg);
	
	$abfrage="SELECT account from kasse_usr where id=" . $id;
	$erg = mysqli_query($link, $abfrage);
	list($account)=mysqli_fetch_row($erg);
	
	if(!strcmp($account,$_SESSION['GlobalAccount'])) {
		echo "<p class='fehlermeldung'>Sie sind unter " . $_SESSION['GlobalAccount'] . "angemeldet.
		<br>Der aktive Account kann nicht gelöscht werden, bitte melden Sie sich unter einem anderen Control Center Account an.</p>";
	} else {
		if($anzahl>1) {
			// Alle Accountdaten löschen
			$abfrage="DELETE from kasse_drucker where account like '" . $account . "'";
			// echo $abfrage;
			$erg = mysqli_query($link, $abfrage);
			echo "<p class='fehlermeldung'>Drucker zu Account " . $account ." wurden gelöscht</p>";
			
			$abfrage="DELETE from kasse_kassen where account like '" . $account . "'";
			// echo $abfrage;
			$erg = mysqli_query($link, $abfrage);
			echo "<p class='fehlermeldung'>Kassen zu Account " . $account ." wurden gelöscht</p>";
			
			$abfrage="DELETE from kasse_preise where account like '" . $account . "'";
			// echo $abfrage;
			$erg = mysqli_query($link, $abfrage);
			echo "<p class='fehlermeldung'>Artikel zu Account " . $account ." wurden gelöscht</p>";
			
			$abfrage="DELETE from kasse_verkaeufer where account like '" . $account . "'";
			// echo $abfrage;
			$erg = mysqli_query($link, $abfrage);
			echo "<p class='fehlermeldung'>Drucker zu Account " . $account ." wurden gelöscht</p>";
			
			$abfrage="DELETE from kasse_verkauf where account like '" . $account . "'";
			// echo $abfrage;
			$erg = mysqli_query($link, $abfrage);
			echo "<p class='fehlermeldung'>Verkäufe zu Account " . $account ." wurden gelöscht</p>";
			
			$abfrage="DELETE from kasse_usr where account like '" . $account . "'";
			// echo $abfrage;
			$erg = mysqli_query($link, $abfrage);
			echo "<p class='fehlermeldung'>Benutzer und Account " . $account ." wurden gelöscht</p>";
		} else {
			echo "<p class='fehlermeldung'>Der letzte Control Center Account kann nicht gelöscht werden</p>";
		}
	}
}

if( ! isset($_GET['sw'])) {
	$_GET['sw']=0;
}

switch ($_GET['sw']) {
	case 1:		anzeigen_form($_GET['id']);
				break;
	case 2:		update_account($_POST);
				anzeigen();
				break;
	case 3:		$id=neuer_account();
				anzeigen_form($id);
				break;
	case 4:		del_abfrage($_GET['id']);
				break;
	case 5:		wechsel_account($_GET['id']);
				anzeigen();
				break;
	case 6:		del_account($_GET['id']);
				anzeigen();
				break;
	default:	anzeigen();
				break;
}

mysqli_close($link);
echo "</div>";
seitenfuss();
htmlende();
?>