<?php
/*
Copyright 2017	Matthias Rauch
www.raapp.de

Dieses Programm ist freie Software. Sie können es unter den Bedingungen der GNU General Public License,
wie von der Free Software Foundation veröffentlicht, weitergeben und/oder modifizieren,
entweder gemäß Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.
Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, daß es Ihnen von Nutzen sein wird,
aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK.
Details finden Sie in der GNU General Public License.
Sie sollten ein Exemplar der GNU General Public License zusammen mit diesem Programm erhalten haben.
Falls nicht, siehe <http://www.gnu.org/licenses/>.

*/
session_start();
include('../config.php');
include('../funktionen.php');
$link=db_verbinden($db_host, $db_name, $db_user, $db_pass);

htmlkopf();
sessioncheck1();
zeige_kopf('index');

echo "<div id='container'>";

function anzeigen() {
	global $link;
	echo "<p class='edit_neu'><a href='artikel.php?sw=3'><IMG SRC='images/raapp_bearbeiten.png' ></a>Neuen Artikel anlegen</p>
		<table class='edit'>
		<tr><th></th><th>Artikel</th><th>Preis</th><th>drucken</th><th>Bemerkungen</th></tr>";
		$abfrage="SELECT * FROM kasse_preise where account like '" . $_SESSION['GlobalAccount'] . "'  ORDER BY artikel";
		// echo $abfrage;
		$erg = mysqli_query($link, $abfrage);

		while ( $mykasse=mysqli_fetch_object( $erg )) {
			echo "<tr><td><a href='artikel.php?sw=1&id=$mykasse->id'><IMG SRC='images/raapp_bearbeiten.png' onmouseover='InfoBoxAnzeigen(event,info[1],40,-30);' onmouseout='InfoBoxAusblenden();'></a>
				<a href='artikel.php?sw=4&id=$mykasse->id'><IMG SRC='images/raapp_del.png' onmouseover='InfoBoxAnzeigen(event,info[2],40,-30);' onmouseout='InfoBoxAusblenden();'></a></td>
				<td>$mykasse->artikel</td>
				<td>" . number_format($mykasse->preis,2,',','.') . "</td>";
				if($mykasse->a_druck ==1) {
					echo "<td><IMG SRC='images/raapp_druck.png'></td>";
				} else { echo "<td> </td>"; }
					
				echo "<td>$mykasse->bemerkungen</td></tr>";
		}
	echo "</table>";
}

function anzeigen_form($id) {
	global $link;
	$abfrage="SELECT * FROM kasse_preise where account like '" . $_SESSION['GlobalAccount'] . "' and id=" . $id;
	// echo $abfrage;
	$erg = mysqli_query($link, $abfrage);
	$satz=mysqli_fetch_array($erg);

	echo "<p> </p><form method='post' action='artikel.php?sw=2' onSubmit='preisformat(this);'>
			<table class='edit_form'><tr><th>Artikel</th></tr>
		<tr><td><input name='id' type='hidden' value='". $satz['id'] . "'>
			<input name='artikel' type='text' size='10' value='". $satz['artikel'] . "'></td></tr>
		<tr><th>Preis</th></tr>
		<tr><td><input name='preis' type='text' size='2' value='". number_format($satz['preis'],2,',','.') . "'></td></tr>
		<tr><th>drucken</th></tr><tr>";
		if( $satz['a_druck'] == 1) {
			echo "<td><input type='checkbox' name='a_druck' checked></td>";
		} else {
			echo "<td><input type='checkbox' name='a_druck'></td>";
		}
		
		echo "</tr><tr><th>Bemerkungen</th></tr>
			<tr><td><input name='bemerk' type='text' size='20' value='". $satz['bemerkungen'] . "'></td></tr>
			</table><br><input class='navig' type='submit' value=' speichern '></form>";
}

function update_artikel($post) {
	global $link;
	$i=1;

	 if (isset($post['a_druck'])) {
	 	$checkbox_druck=1;
	 } else {
	 	$checkbox_druck=0;
	 }
	 
	$aendern = "UPDATE kasse_preise SET artikel='" . $post['artikel'] . "' , 
				preis=" . $post['preis'] . " ,	a_druck=" . $checkbox_druck . " , bemerkungen='" . $post['bemerk'] . "'"
				. " where account like '" . $_SESSION['GlobalAccount'] . "' and id=" . $post['id'];
	// echo "<br>$aendern<br>";
	$erg = mysqli_query($link, $aendern);
}

function neuer_artikel() {
	global $link;
	
	$abfrage="INSERT into kasse_preise set p_id='0', account='" . $_SESSION['GlobalAccount'] . "', artikel='', preis='0.00', a_druck='0' , bemerkungen='neuer Artikel'";
	// echo $abfrage; exit();
	$erg = mysqli_query($link, $abfrage);
	
	$abfrage="SELECT id FROM kasse_preise where account like '" . $_SESSION['GlobalAccount'] . "' ORDER BY id DESC LIMIT 1";
	// echo "<br>Select: " . $abfrage;
	$erg = mysqli_query($link, $abfrage);
	$satz=mysqli_fetch_array($erg);
	// echo "<br>ID: " . $satz['id'];
	return($satz['id']);
}

function del_artikel($id) {
	global $link;

	$abfrage="DELETE from kasse_preise where account='" . $_SESSION['GlobalAccount'] . "' and id=" . $id;
	// echo $abfrage;
	$erg = mysqli_query($link, $abfrage);
}

switch ($_GET['sw']) {
	case 1:		anzeigen_form($_GET['id']);
				break;
	case 2:		update_artikel($_POST);
				anzeigen();
				break;
	case 3:		$id=neuer_artikel();
				anzeigen_form($id);
				break;
	case 4:		del_artikel($_GET['id']);
				anzeigen();
				break;	
	default:	anzeigen();
				break;
}

mysqli_close($link);
echo "</div>";
seitenfuss();
htmlende();
?>