<?php
/*
Copyright 2017	Matthias Rauch
www.raapp.de

Dieses Programm ist freie Software. Sie können es unter den Bedingungen der GNU General Public License,
wie von der Free Software Foundation veröffentlicht, weitergeben und/oder modifizieren,
entweder gemäß Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.
Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, daß es Ihnen von Nutzen sein wird,
aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK.
Details finden Sie in der GNU General Public License.
Sie sollten ein Exemplar der GNU General Public License zusammen mit diesem Programm erhalten haben.
Falls nicht, siehe <http://www.gnu.org/licenses/>.

*/
session_start();
include('../config.php');
include('../funktionen.php');
$link=db_verbinden($db_host, $db_name, $db_user, $db_pass);

htmlkopf();
sessioncheck1();
zeige_kopf('index');

echo "<div id='container'>";

function anzeigen() {
	global $link;
	echo "<p class='edit_neu'><a href='drucker.php?sw=3'><IMG SRC='images/raapp_bearbeiten.png'></a>Neuen Drucker anlegen</p>
		<table class='edit'>
		<tr><th></th><th>Drucker ID <img src='images/raapp_info.png' onmouseover='InfoBoxAnzeigen(event,info[0],20,-30);' onmouseout='InfoBoxAusblenden();'>
	</th><th>Druckertyp</th><th>Betriebsart</th><th>Anschlussart</th><th>Bemerkungen</th></tr>";
		$abfrage="SELECT * FROM kasse_drucker where account like '" . $_SESSION['GlobalAccount'] . "'";
		// echo $abfrage;
		$erg = mysqli_query($link, $abfrage);

		while ( $mydrucker=mysqli_fetch_object( $erg )) {
			echo "<tr><td><a href='drucker.php?sw=1&id=$mydrucker->id'><IMG SRC='images/raapp_bearbeiten.png' onmouseover='InfoBoxAnzeigen(event,info[1],40,-30);' onmouseout='InfoBoxAusblenden();'></a>
				<a href='drucker.php?sw=4&d_id=$mydrucker->d_id'><IMG SRC='images/raapp_druckws.png' onmouseover='InfoBoxAnzeigen(event,info[4],40,-30);' onmouseout='InfoBoxAusblenden();'></a>
				<a href='drucker.php?sw=5&id=$mydrucker->id'><IMG SRC='images/raapp_del.png' onmouseover='InfoBoxAnzeigen(event,info[2],40,-30);' onmouseout='InfoBoxAusblenden();'></a></td>
				<td>$mydrucker->d_id</td>
				<td>$mydrucker->typ</td>
				<td>$mydrucker->bart</td>
				<td>$mydrucker->aart</td>
				<td>$mydrucker->bemerkungen</td></tr>";
		}
	echo "</table>";
}

function anzeigen_form($id) {
	global $link;
	$abfrage="SELECT * FROM kasse_drucker where account like '" . $_SESSION['GlobalAccount'] . "' and id=" . $id;
	// echo $abfrage;
	$erg = mysqli_query($link, $abfrage);
	$satz=mysqli_fetch_array($erg);

	echo "<p> </p><form method='post' action='drucker.php?sw=2'>
		<table class='edit'>
		<tr><th>Drucker ID</th><td><input name='id' type='hidden' size='10' value='". $satz['id'] . "'>
				<input name='d_id' type='text' size='2' value='". $satz['d_id'] . "'> 
				<img src='images/raapp_info.png' onmouseover='InfoBoxAnzeigen(event,info[0],20,-30);' onmouseout='InfoBoxAusblenden();'></td></tr>
		<tr><th>Drucker Typ</th><td><select name='typ' size='1'><option selected>ESC/Pos</option>></select></td></tr>";
		
	echo "<tr><th>Betriebsart</th><td><select name='bart' size='1'>";

	switch ($satz['bart']) {
		case 'auto':	echo"<option selected>auto</option>
						<option>bedient</option>";
						break;
		case 'bedient':	echo"<option>auto</option>
						<option selected>bedient</option>";
						break;
		default:		echo"<option>auto</option>
						<option>bedient</option>";
	}
	echo "</select></td></tr>";
	
	echo "<tr><th>Anschlusssart</th><td><select name='aart' size='1'>";

	switch ($satz['aart']) {
		case 'App':		echo"<option selected>App</option>
						<option>direkt</option>
						<option>Netzwerk</option>";
						break;
		case 'direkt':	echo"<option>App</option>
						<option selected>direkt</option>
						<option>Netzwerk</option>";
						break;
		case 'Netzwerk':	echo"<option>App</option>
						<option selected>direkt</option>
						<option selected>Netzwerk</option>";
						break;
		default:		echo"<option>App</option>
						<option>direkt</option>
						<option>Netzwerk</option>";
	}
	echo "</select></td></tr>";
	echo "<tr><th>Gerätename</th><td><input name='geraet' type='text' size='20' value='". $satz['geraet'] . "'>
	 <img src='images/raapp_info.png' onmouseover='InfoBoxAnzeigen(event,info[5],20,-30);' onmouseout='InfoBoxAusblenden();'></td></tr>";

	echo "<tr><th>Bonzeile 1</th><td><input name='bonzeile1' type='text' size='20' value='". $satz['bonzeile1'] . "'></td></tr>
	<tr><th>Bemerkungen</th><td><input name='bemerk' type='text' size='20' value='". $satz['bemerkungen'] . "'></td></tr>
	</table>
	<br><input class='navig' type='submit' value=' speichern '></form>";
}

function update_drucker($post) {
	global $link;

	$aendern = "UPDATE kasse_drucker SET d_id='" . $post['d_id'] . "' , typ='" . $post['typ'] . "' ,  bart='" . $post['bart'] . "' ,  aart='" . $post['aart'] . "' , geraet='" . $post['geraet'] . "' ,
				  bonzeile1='" . $post['bonzeile1'] . "' , bemerkungen='" . $post['bemerk'] . "'"
				. " where account like '" . $_SESSION['GlobalAccount'] . "' and id=" . $post['id'];
	// echo "<br>$aendern<br>";
	$erg = mysqli_query($link, $aendern);
}

function neuer_drucker() {
	global $link;
	
	$abfrage="INSERT into kasse_drucker set d_id='0', typ='ESC/Pos',  bart='auto', aart='Netzwerk', geraet='', account='" . $_SESSION['GlobalAccount'] . "', bonzeile1='', bemerkungen='neuer Drucker'";
	// echo "Insert: " . $abfrage; exit();
	$erg = mysqli_query($link, $abfrage);
	
	$abfrage="SELECT id FROM kasse_drucker where account like '" . $_SESSION['GlobalAccount'] . "' ORDER BY id DESC LIMIT 1";
	// echo "<br>Select: " . $abfrage;
	$erg = mysqli_query($link, $abfrage);
	$satz=mysqli_fetch_array($erg);
	// echo "<br>ID: " . $satz['id'];
	return($satz['id']);
}

function hole_kasse() {
	global $link;

	$abfrage="SELECT k_id FROM kasse_kassen where account like '" . $_SESSION['GlobalAccount'] . "'";
	echo $abfrage;
	$erg = mysqli_query($link, $abfrage);

	$i=0;
	while ( $mykasse=mysqli_fetch_object( $erg )) {
		$kasse[$i]=$mykasse->k_id;
		$i++;
	}
	return($kasse);
}

function del_druckerws($id) {
	global $link;

	$abfrage="DELETE from kasse_wsdr where account='" . $_SESSION['GlobalAccount'] . "' and drucker_id=" . $id;
	//echo $abfrage;
	$erg = mysqli_query($link, $abfrage);
	echo "<br>Druckerwarteschlange für Drucker $id wurde gelöscht<br>";
}

function del_drucker($id) {
	global $link;

	$abfrage="DELETE from kasse_drucker where account='" . $_SESSION['GlobalAccount'] . "' and id=" . $id;
	// echo $abfrage;
	$erg = mysqli_query($link, $abfrage);
}

switch ($_GET['sw']) {
	case 1:		anzeigen_form($_GET['id']);
				break;
	case 2:		update_drucker($_POST);
				anzeigen();
				break;
	case 3:		$id=neuer_drucker();
				anzeigen_form($id);
				break;
	case 4:		del_druckerws($_GET['d_id']);
				anzeigen();
				break;
	case 5:		del_drucker($_GET['id']);
				anzeigen();
				break;	
	default:	anzeigen();
				break;
}

mysqli_close($link);
echo "</div>";
seitenfuss();
htmlende();
?>