<?php
/*
Copyright 2016	Matthias Rauch
www.raapp.de

Dieses Programm ist freie Software. Sie können es unter den Bedingungen der GNU General Public License,
wie von der Free Software Foundation veröffentlicht, weitergeben und/oder modifizieren,
entweder gemäß Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.
Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, daß es Ihnen von Nutzen sein wird,
aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK.
Details finden Sie in der GNU General Public License.
Sie sollten ein Exemplar der GNU General Public License zusammen mit diesem Programm erhalten haben.
Falls nicht, siehe <http://www.gnu.org/licenses/>.

*/
session_start();
include('../config.php');
include('../funktionen.php');
$link=db_verbinden($db_host, $db_name, $db_user, $db_pass);

htmlkopf();
sessioncheck1();
zeige_kopf('index');

echo "<div id='container'><div id='report'>";

function formular() {
	echo "<p> </p>
		<form method='post' action='report.php?sw=1'>
		<h3>Umsatz Total</h3>vom <input type='text' size='3' name='UmsatzVon' id='UmsatzVon'>
		bis <input type='text' size='3' name='UmsatzBis' id='UmsatzBis'/>
		<input class='navig' type='submit' value=' Report '></form>";
	echo "<br>
		<form method='post' action='report.php?sw=2'>
		<h3>Umsatz Verkäufer</h3>vom <input type='text' size='3' name='VerkVon' id='VerkVon'/>
		bis <input type='text' size='3' name='VerkBis' id='VerkBis'/>
		<input class='navig' type='submit' value=' Report '></form>";
	echo "<br>
		<form method='post' action='report.php?sw=4'>
		<h3>Abrechnungen Verkäufer</h3>vom <input type='text' size='3' name='VerkAbrechVon' id='VerkAbrechVon'/>
		bis <input type='text' size='3' name='VerkAbrechBis' id='VerkAbrechBis'/>
		<input class='navig' type='submit' value=' Report '></form>";
	echo "<script type='text/javascript' src='datepickr.js'></script>
		<script type='text/javascript'>
		new datepickr('UmsatzVon', { 'dateFormat': 'd.m.Y' });
		new datepickr('UmsatzBis', { 'dateFormat': 'd.m.Y' });
		new datepickr('VerkVon', { 'dateFormat': 'd.m.Y' });
		new datepickr('VerkBis', { 'dateFormat': 'd.m.Y' });
		new datepickr('VerkAbrechVon', { 'dateFormat': 'd.m.Y' });
		new datepickr('VerkAbrechBis', { 'dateFormat': 'd.m.Y' });
		</script>";
}

function format_datum($d, $s) {
	// aus 01.02.2015 mach 2015-02-01 hh:mm:ss
	$d1=explode('.',$d);
	$d2=$d1[2] . "-" . $d1[1] . "-" . $d1[0] . " " . $s;
	return($d2);
}

function umsatz($post, $auswahl) {
	global $link;

	if ($auswahl == 'artikel') {
		$von=format_datum($post['UmsatzVon'], '00:00:00');
		$bis=format_datum($post['UmsatzBis'], '23:59:59');
	}
	if ($auswahl == 'verkaeufer') {
		$von=format_datum($post['VerkVon'], '00:00:00');
		$bis=format_datum($post['VerkBis'], '23:59:59');
	}
	
	echo "<p> </p><table class='report'><tr><th>$auswahl</th><th>Anzahl</th><th>Umsatz</th></tr>";
	
	$abfrage="SELECT $auswahl, SUM(anzahl) as anzahl, SUM(preis) as umsatz FROM kasse_verkauf where account like '" . $_SESSION['GlobalAccount']
	 . "' and datum >= '" . $von . "' and datum <= '" . $bis . "' group by $auswahl";
	// echo $abfrage;
	$erg = mysqli_query($link, $abfrage);
	
	while ( $myverkauf=mysqli_fetch_object( $erg )) {
		echo "<tr>";
		switch($auswahl) {
			case artikel:		echo "<td>$myverkauf->artikel</td>";
								break;
			case verkaeufer:	echo "<td>$myverkauf->verkaeufer</td>";
								break;
		}
		echo "<td>$myverkauf->anzahl</td>
		<td>" . number_format ( $myverkauf->umsatz , 2 , "," , "." ) . "</td>
		</tr>";
		$gesamtumsatz = $gesamtumsatz + $myverkauf->umsatz;
	}
	echo "</table><br><br><br><table class='edit_form'><tr><th>Gesamtumsatz:</th><th>"
			. number_format ( $gesamtumsatz , 2 , "," , "." )  . " EUR</th></tr></table>";
	echo "<br><br><A class='navig' HREF='report.php?sw=3&von=$von&bis=$bis&a=1&aw=$auswahl'>CSV-Export</A>
				<A class='navig' HREF='report.php?sw=3&von=$von&bis=$bis&a=2&aw=$auswahl'>CSV-Export Detail</A>";
}

function csv_download($get) {
	global $link;
	
	switch ($get['a']) {
		case 1:		$abfrage="SELECT " . $get['aw'] . ", SUM(anzahl) as anzahl, SUM(preis) as umsatz FROM kasse_verkauf where account like '" . $_SESSION['GlobalAccount']
					. "' and datum >= '" . $get['von'] . "' and datum <= '" . $get['bis'] . "' group by " . $get['aw'];
					$erg = mysqli_query($link, $abfrage);
	
					$csv = $get['aw'] . ";Anzahl;Umsatz\r\n";
					while ( $myverkauf=mysqli_fetch_object( $erg )) {
						switch($get['aw']) {
							case artikel:		$csv .= $myverkauf->artikel . ";" . $myverkauf->anzahl . ";" . number_format ( $myverkauf->umsatz , 2 , "," , "." ) . "\r\n";
												$dateiname="raAPP_Kasse_Artikel_" . date("Y-m-d") . ".csv";
												break;
											
							case verkaeufer:	$csv .= $myverkauf->verkaeufer . ";" . $myverkauf->anzahl . ";" . number_format ( $myverkauf->umsatz , 2 , "," , "." ) . "\r\n";
												$dateiname="raAPP_Kasse_Verkaeufer_" . date("Y-m-d") . ".csv";
												break;
						}
					}
					break;
		default:	$abfrage="SELECT v_id, id_verkauf, datum, verkaeufer, artikel, preis, anzahl FROM kasse_verkauf where account like '" . $_SESSION['GlobalAccount']
					. "' and datum >= '" . $get['von'] . "' and datum <= '" . $get['bis'] . "'";
					$erg = mysqli_query($link, $abfrage);
	
					$csv = "VerkaufNr;VerkaufID;Datum;Verkaeufer;Artikel;Preis;Anzahl\r\n";
					while ( $myverkauf=mysqli_fetch_object( $erg )) {
						$csv .= $myverkauf->v_id . ";" . $myverkauf->id_verkauf . ";" . $myverkauf->datum . ";" .
								$myverkauf->verkaeufer . ";" . $myverkauf->artikel . ";" . number_format ( $myverkauf->preis , 2 , "," , "." ) . ";" .
								$myverkauf->anzahl . "\r\n";
					}
					$dateiname="raAPP_Kasse_Detail_" . date("Y-m-d") . ".csv";
					break;
	}
	
	ob_clean();
	
	header("Content-Type: application/force-download");
	header("Content-Disposition: attachment; filename=\"$dateiname\"");
	header("Content-Length: ". strlen($csv));
	
	echo $csv;
	exit();
}

function verkabrech($post) {
	global $link;

	$von=format_datum($post['VerkAbrechVon'], '00:00:00');
	$bis=format_datum($post['VerkAbrechBis'], '23:59:59');


	echo "<p> </p><table class='report'><tr><th>Abrechnung</th><th>Verkäufer</th><th>Abrechner</th><th>erste Buchung</th><th>letzte Buchung</th><th></th></tr>";

	$abfrage="SELECT * FROM kasse_verkabrech where account like '" . $_SESSION['GlobalAccount']
	. "' and datum >= '" . $von . "' and datum <= '" . $bis . "'";
	// echo $abfrage; exit();
	$erg = mysqli_query($link, $abfrage);

	while ( $myverkauf=mysqli_fetch_object( $erg )) {
		echo "<tr>
			<td>$myverkauf->datum</td>
			<td>$myverkauf->Verkaeufer</td>
			<td>$myverkauf->Abrechner</td>
			<td>$myverkauf->ersteBuchung</td>
			<td>$myverkauf->letzteBuchung</td>
			</tr><tr><td>$myverkauf->Gesamtumsatz</td>
			<td>$myverkauf->VerkaeuferSatz%</td>
			<td>$myverkauf->VerkaeuferVerguet</td>
			<td>$myverkauf->UmsatzVerein</td>
			<td>$myverkauf->Wechselgeld</td>
			<td>$myverkauf->VerkaeuferRueck</td>
		</tr><tr></tr>";
	}
	echo "</table><br><br><br>";
	echo "<br><br><A class='navig' HREF='report.php?sw=3&von=$von&bis=$bis&a=1&aw=$auswahl'>CSV-Export</A>
	<A class='navig' HREF='report.php?sw=3&von=$von&bis=$bis&a=2&aw=$auswahl'>CSV-Export Detail</A>";
}


if( ! isset($_GET['sw'])) {
	$_GET['sw']=0;
}

switch ($_GET['sw']) {
	case 1:		umsatz($_POST, "artikel");
				break;
	case 2:		umsatz($_POST, "verkaeufer");
				break;
	case 3:		csv_download($_GET);
				break;
	case 4:		verkabrech($_POST);
				break;
	default:	
				formular();
				break;
}

mysqli_close($link);
echo "</div></div>";
seitenfuss();
htmlende();
?>