<?php
/*
Copyright 2018	Matthias Rauch
www.raapp.de

Dieses Programm ist freie Software. Sie können es unter den Bedingungen der GNU General Public License,
wie von der Free Software Foundation veröffentlicht, weitergeben und/oder modifizieren,
entweder gemäß Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.
Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, daß es Ihnen von Nutzen sein wird,
aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK.
Details finden Sie in der GNU General Public License.
Sie sollten ein Exemplar der GNU General Public License zusammen mit diesem Programm erhalten haben.
Falls nicht, siehe <http://www.gnu.org/licenses/>.

*/
session_start();
include('funktionen.php');

function inst_form() {
	echo "</div></div><div id='container'>";
	echo "<h3>Installation raAPP Kasse Server</h3>
	<br><h3>Bitte geben Sie die Parameter ein.</h3>
	<form method='post' action='index.php?sw=2'>
	<table class='edit_form'>
	<tr><th>Datenbank Name</th><td><input name='f_dbname' type='text' size='20' value='raapp'></td></tr>
	<tr><th>Hostname</th><td><input name='f_host' type='text' size='20' value='localhost'></td></tr>
	<tr><th>Datenbank Benutzername</th><td><input name='f_usr' type='text' size='20' value='root'></td></tr>
	<tr><th>Datenbank Passwort</th><td><input name='f_passw' type='text' size='20' value=''></td></tr>
	<tr><th><br><br>URL Webseite</th><td><br><br><input name='f_site' type='text' size='20' value='localhost/raapp'></td></tr>
	<tr><th>Kontakt Mail</th><td><input name='f_mail' type='text' size='20' value='kontakt@raapp.de'></td></tr>
	</table>
	<br><input type='submit' value=' Konfiguration speichern '></form>
	<br><br> <br></div>";
}

function schreibe_config($post) {
	$file="config.php";
	$config="<?php
	//
	// Copyright 2015	Matthias Rauch, 76297 Stutensee
	// kontakt@raapp.de
	//
	// Variablen für Verbindung zur Datenbank\n
	\$db_name='" . $post['f_dbname'] . "';
	\$db_host='" . $post['f_host'] . "';
	\$db_user='" . $post['f_usr'] . "';
	\$db_pass='" . $post['f_passw'] . "';\n
	//zentrale Variable
	\$site_url='" . $post['f_site'] . "';			// URL Webseit
	\$site_email ='" . $post['f_mail'] . "';\n		// eigene eMail-Adresse
	\$raapp_mode=0;									// raapp_mode  0 normalbetrieb   1=Entwicklung
	?>";

	if (!$handle = fopen($file, "w")) {
		return("Kann die Datei $file nicht öffnen");
	}

	// Schreibe in die geöffnete Datei.
	if (!fwrite($handle, $config)) {
		return("Kann in die Datei $file nicht schreiben");
	}
	fclose($handle);
	
	// nur für Windows mysqldump.bat schreiben
	if (betriebssystem() == 2) {   // Windows
		$filename="mysqldump.bat";
		
		$inhalt="\r\nset jahr=%date:~-4%\r\nset monat=%date:~-7,2%\r\nset tag=%date:~-10,2%\r\n";
		$inhalt=$inhalt . $_SERVER['MYSQL_HOME'] . DIRECTORY_SEPARATOR . "mysqldump.exe --opt -h localhost -u root " . $post['f_dbname'] . " > " . $_SERVER['SCRIPT_FILENAME'] . DIRECTORY_SEPARATOR . "db_export" . DIRECTORY_SEPARATOR . "raAPP_%jahr%-%monat%-%tag%.sql\r\n";
		if (!$handle = fopen($filename, "wb")) {
			echo "<script type='text/javascript'>alert('Die Datei $filename kann nicht ge�ffnet werden')</script>";
			exit();
		}
		
		if (!fwrite($handle, $inhalt)) {
			return ("Die Datei $filename konnte nicht geschrieben werden");
		}
		
		fclose($handle);
	}
	return true;
}

function erstelle_tabellen() {
	include('config.php');
	include('conf_tables.php');
	$link=db_verbinden($db_host, $db_name, $db_user, $db_pass);
	
	echo "<h3><br>Die Datenbanktabellen werden erstellt</h3>";
	
	$erg=mysqli_query($link, $create_kasse_usr);
	echo "<ul><li>Tabelle kasse_usr erzeugt</li>";
	
	$abfrage="INSERT INTO `kasse_usr` (`id`, `datum_anmeld`, `datum_update`, `vorname`, `nachname`, `mailadresse`, `aktiv`, `art`, `account`, `strasse`, `plz`, `ort`) VALUES
	(1, now(), now(), 'raAPP', 'Kasse', 'kontakt@raapp.de', 1, 2, '12345', '', '', '')";
	$erg=mysqli_query($link, $abfrage);
	echo "<li>Datensatz in Tabelle kasse_usr eingefügt</li>";

	$erg=mysqli_query($link, $create_kasse_preise);
	echo "<li>Tabelle kasse_preise erzeugt</li>";
	$abfrage="INSERT INTO `kasse_preise` (`id`, `p_id`, `account`, `artikel`, `preis`, `a_druck`, `bemerkungen`) VALUES
				(1, 0, '12345', 'Wein', 2.5, 1, '0,25 l'),
				(2, 0, '12345', 'Bier', 2.5, 1, '0,5 l'),
				(3, 0, '12345', 'Wurst', 2.7, 1, 'weiss oder rot'),
				(4, 0, '12345', 'Weizen', 2.8, 1, '0,5 l'),
				(5, 0, '12345', 'Weinschorle', 2.5, 1, '0,25 l')";
	$erg=mysqli_query($link, $abfrage);
	echo "<li>Datensatz in Tabelle kasse_preise eingefügt</li>";

  	$erg=mysqli_query($link, $create_kasse_kassen);
  		echo "<li>Tabelle kasse_kassen erzeugt</li>";  	
  	$abfrage="INSERT INTO `kasse_kassen` (`id`, `k_id`, `account`, `drucker`, `bemerkungen`, `b1`, `bf1`, `b2`, `bf2`, `b3`, `bf3`, `b4`, `bf4`, `b5`, `bf5`, `b6`, `bf6`, `b7`, `bf7`, `b8`, `bf8`, `b9`, `bf9`, `b10`, `bf10`, `b11`, `bf11`, `b12`, `bf12`, `b13`, `bf13`, `b14`, `bf14`, `b15`, `bf15`, `b16`, `bf16`, `b17`, `bf17`, `b18`, `bf18`, `b19`, `bf19`, `b20`, `bf20`, `b21`, `bf21`, `b22`, `bf22`, `b23`, `bf23`, `b24`, `bf24`, `b25`, `bf25`, `b26`, `bf26`, `b27`, `bf27`, `b28`, `bf28`, `b29`, `bf29`, `b30`, `bf30`, `b31`, `bf31`, `b32`, `bf32`, `b33`, `bf33`, `b34`, `bf34`, `b35`, `bf35`, `b36`, `bf36`) VALUES
  	(1, 1, '12345', '1', 'Hauptkasse', 'Bier', '#80FFFF', 'Wein', '#FF80FF', 'Wurst', '#f5f5f5', 'Weinschorle', '#80FFFF', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '')";
  	$erg=mysqli_query($link, $abfrage);
	echo "<li>Datensatz in Tabelle kasse_kassen eingefügt</li>";

  	$erg=mysqli_query($link, $create_kasse_drucker);
  	echo "<li>Tabelle kasse_drucker erzeugt</li>";  	
  	$abfrage="INSERT INTO `kasse_drucker` (`id`, `d_id`, `typ`, `bart`, `aart`, `geraet`, `account`, `bonzeile1`, `bemerkungen`) VALUES
			(1, 1, 'ESC/Pos', 'auto', 'direkt', '/dev/usb/lp0', '12345', 'SV Staffort e.V.', 'USB direkt funktioniert nur mit Linux'),
			(2, 2, 'ESC/Pos', 'auto', 'Netzwerk', '192.168.0.100:9100', '12345', 'SV Staffort e.V.', 'drucken über IP-Adresse')";
  	$erg=mysqli_query($link, $abfrage);
	echo "<li>Datensatz in Tabelle kasse_drucker eingefügt</li>";

  	$erg=mysqli_query($link, $create_kasse_verkaeufer);
  	echo "<li>Tabelle kasse_verkaeufer erzeugt</li>";  	
  	$abfrage="INSERT INTO `kasse_verkaeufer` (`id`, `account`, `kasse`, `vorname`, `nachname`, `strasse`, `plz`, `ort`, `verguetung`, `wechselgeld`, `bemerkungen`) VALUES
			(1, '12345', 1, 'Max', 'Muster', '', '', '', 0, 0, '')";
  	$erg=mysqli_query($link, $abfrage);
	echo "<li>Datensatz in Tabelle kasse_verkeufer eingefügt</li>";

  	$erg=mysqli_query($link, $create_kasse_verkauf);
  	echo "<li>Tabelle kasse_verkauf erzeugt</li>"; 

  	$erg=mysqli_query($link, $create_kasse_verkabrech);
  	echo "<li>Tabelle kasse_verkabrech erzeugt</li>";

  	$erg=mysqli_query($link, $create_kasse_wsdr);
  	echo "<li>Tabelle kasse_wsdr erzeugt</li>"; 

  	$erg=mysqli_query($link, $create_kasse_stat);
  	echo "<li>Tabelle kasse_stat erzeugt</li></ul>"; 
}

function zeige_seite() {
	include('config.php');
	
	zeige_navi('kasse');
		
	echo "</div></div>
	<div id='container'>";
		
	echo "<h3>raAPP Kasse</h3>
	<ul><li>Kasse für den Verkäufer</li>
	</ul>
	<h3>raAPP Print</h3>
	<ul><li>Bondruck am Client</li>
	</ul>
	<h3>raAPP Kasse Control Center</h3>
	<ul><li>Verwaltung raAPP Kasse Server</li>
	</ul>
	<h3>raAPP Kasse Manual</h3>
	<ul><li>Installationsanleitung<br>Bedienungsanleitung<br>Wartung<br>Tipps und Tricks</li>
	</ul>
	</div>";
}


htmlkopf();
echo "<div class='oben_k'><div id='container'><div>";
if($_SERVER['HTTP_HOST']=="localhost") {
	echo "<a HREF='index.php'><IMG SRC='kasse/images/raapp_logo.png' NAME='Logo'></a></div>";
} else {
	echo "<a HREF='../kasse.php'><IMG SRC='kasse/images/raapp_logo.png' NAME='Logo'></a></div>";
}

// Steuerung Script
if( ! isset($_GET['sw'])) {
	$_GET['sw']=0;
}

switch ($_GET['sw']) {
	case 1:		inst_form();
				break;
	case 2:		$r=schreibe_config($_POST);
				if($r==true) {
					echo "</div></div><div id='container'><h3>Die Konfiguration wurde erfolgreich gespeichert.</h3>";
					erstelle_tabellen();
					echo "<h3>Die Installation ist beendet.<br><br>raAPP Kasse Server kann jetzt verwendet werden</h3>
					<p>Melden Sie sich zunächst im raAPP Kasse Control Center an.</p>
					<p>Ein Account mit der Benutzerkennung kontakt@raapp.de und der Account-ID: 12345 ist bereits angelegt.
					Testartikel, Benutzer, Drucker und Verkäufer sind ebenfals bereits angelegt.</p>
					<p>Schließen Sie Ihren Bondrucker und gegebenenfals die Kassenschublade an und legen Sie direkt los.</p>
					<p>Viel Spass und Erfolg mit raAPP Kasse Server.</p>
					<p><A class='navig' HREF='index.php'>weiter zur Startseite</A></p>";
				} else {
					echo "$r";
				}
				echo "<br></div>";
				break;
	default:
				if(is_writeable('config.php')) {
					zeige_seite();
				} else {
					// Installation
						echo "</div></div><div id='container'>
							<h3>Installation raAPP Kasse Server</h3>
							<h3><br>Bitte halten Sie die Zugangsdaten für die Datenbank auf Ihrem Server bereit.</h3>
							<h3><br><A class='navig' HREF='index.php?sw=1'>weiter</A>
							</h3></div>";
				}
}

seitenfuss();
htmlende();
?>

