<?php
/*
Copyright 2017	Matthias Rauch
www.raapp.de

Dieses Programm ist freie Software. Sie können es unter den Bedingungen der GNU General Public License,
wie von der Free Software Foundation veröffentlicht, weitergeben und/oder modifizieren,
entweder gemäß Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.
Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, daß es Ihnen von Nutzen sein wird,
aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK.
Details finden Sie in der GNU General Public License.
Sie sollten ein Exemplar der GNU General Public License zusammen mit diesem Programm erhalten haben.
Falls nicht, siehe <http://www.gnu.org/licenses/>.

*/
session_start();
include('config.php');
include('funktionen.php');
$link=db_verbinden($db_host, $db_name, $db_user, $db_pass);

$xml = new SimpleXMLElement(stripslashes($_POST['xml']));

$check=check_kasse_usr((string)$xml->mail, (string)$xml->account);
$i=0;
$eintragen="";


// Steuerung Script
switch ($check['ret']) {
	case 1:	
			echo "Für Onlinefunktionen ist ein gültiger Account notwendig, bitte auf www.raapp.de anmelden";
			break;
	case 2:
			echo "Ihr Account ist inaktiv, bitte unter www.raapp.de anmelden";
			break;
	case 3:	// schreibt Verkauf in die kasse_verkauf Tabelle
			$lv=letzterVerkauf($xml->mail, $xml->account) + 1;
			$eintragen ="INSERT INTO kasse_verkauf (account, id_verkauf, id_artikel, verkaeufer, artikel, preis, anzahl, tisch, kassiert, abgerechnet ) values ";
			foreach ($xml->xpath('//verkauf') as $verkauf) {
				if($i>0) {$eintragen .= ","; }
				$eintragen .= "('$xml->account','$lv', '0', '$verkauf->verkaeufer','$verkauf->artikel','$verkauf->preis','$verkauf->anzahl','$verkauf->tisch', '0', '0')";
				$i++;
			}
			mysqli_query($link, $eintragen)
			or die ( "Konnte Datensatz nicht hinzufügen: ".mysqli_error($link) );
			
			// ermittelt zur Kasse zugehörigen Drucker
			$abfrage="select drucker from kasse_kassen where k_id=$xml->kasse and account='$xml->account'";
			$erg = mysqli_query($link, $abfrage);
			list($drucker)=mysqli_fetch_row($erg);
			
			// schreibt Druckauftrag in die Warteschlange
			$eintragen = "INSERT INTO kasse_wsdr (drucker_id, verkauf_id, status, account ) values ('$drucker', '$lv', '0', '$xml->account')";
			mysqli_query($link, $eintragen)
			or die ( "Konnte Datensatz nicht hinzufügen: ".mysqli_error($link) );
			
			// Betriebsart, Anschlussart und Gerätename des Druckers ermitteln und bei betriebsart direkt sofort drucken
			$geraet=drucker_betriebsart($drucker, $xml->account);

			if($geraet['bart']=="auto") {	// Betriebsart
				switch($geraet['aart']) {	// Anschlussart
					case "direkt":	direktdruck($drucker, $geraet['geraet'], $xml->account);
									break;
					case "Netzwerk":	netzwerkdruck($drucker, $geraet['geraet'], $xml->account);
									break;
					default:		// nix tun bei Anschlussart App
				}
			} else { // bei Betriebsart bedient nichts weiter zu tun gedruckt wird über die print_app 
			}
			
			// Antwort an httpRequest der Kasse zurückgeben
			echo "1";
			break;
	default:
			echo "Ihr Verkauf konnte nicht gedruckt werden, bitte registrieren Sie sich auf http://www.raapp.de";
}
?>