<?php
/*
Copyright 2015	Matthias Rauch
www.raapp.de

Dieses Programm ist freie Software. Sie können es unter den Bedingungen der GNU General Public License,
wie von der Free Software Foundation veröffentlicht, weitergeben und/oder modifizieren,
entweder gemäß Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.
Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, daß es Ihnen von Nutzen sein wird,
aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK.
Details finden Sie in der GNU General Public License.
Sie sollten ein Exemplar der GNU General Public License zusammen mit diesem Programm erhalten haben.
Falls nicht, siehe <http://www.gnu.org/licenses/>.

*/
session_start();
include('config.php');
include('funktionen.php');
$link=db_verbinden($db_host, $db_name, $db_user, $db_pass);

$xml = new SimpleXMLElement(stripslashes($_POST['xml']));

$check=check_kasse_usr((string)$xml->mail, (string)$xml->account);

switch ($check['ret']) {
	case 1:	
			echo "Für Onlinefunktionen ist ein gültiger Account notwendig, bitte auf www.raapp.de anmelden";
			break;
	case 2:
			echo "Ihr Account ist inaktiv, bitte unter www.raapp.de anmelden";
			break;
	case 3:
		// JSON bauen und an Kasse zurück
			$kassenload=array('verkaeufer'=>verkaeufer($xml), 'button'=>button($xml));
		// Antwort an httpRequest der Kasse geben
			// print_r($kassenload);
			// header("Content-type: text/json");
			header("Content-type: application/json; charset=utf-8");
			echo json_encode($kassenload);
			break;
	default:
			echo "Sie könne keine Kassendaten laden, bitte registrieren Sie sich auf http://www.raapp.de";
}

function button($xml) {
	global $link;

	for ( $i = 1; $i < 37; $i++ ) {
		$abfrage="select b" . $i . ", bf" . $i . ", preis from kasse_kassen as t1, kasse_preise as t2"
				. " where t1.b" . $i . " = t2.artikel and t1.account='$xml->account' and t2.account='$xml->account' and t1.k_id=$xml->kasse";
		// raapp_log($abfrage);
		$erg = mysqli_query($link, $abfrage);
		$mysend=mysqli_fetch_array( $erg );
		$but[$i-1]= array('Artikel'=>$mysend[0], 'Farbe'=>$mysend[1], 'Preis'=>number_format($mysend[2], 2, '.', ''));
	}
	return $but;
}

function verkaeufer($xml) {
	global $link;

	$abfrage="select vorname, nachname from kasse_verkaeufer where kasse=$xml->kasse and account='$xml->account'";
	$erg = mysqli_query($link, $abfrage);
	
	for ( $i = 0; $i < 12; $i++ ) {
		$mysend=mysqli_fetch_object( $erg );
		if( $mysend) {
			$verk[$i]= array('Vorname'=>$mysend->vorname , 'Nachname'=>$mysend->nachname);
		} else {
			$verk[$i]= array('Vorname'=>'' , 'Nachname'=>'');			
		}
	}
	return $verk;
}

?>