<?php
/*
Copyright 2015	Matthias Rauch
www.raapp.de

Dieses Programm ist freie Software. Sie können es unter den Bedingungen der GNU General Public License,
wie von der Free Software Foundation veröffentlicht, weitergeben und/oder modifizieren,
entweder gemäß Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.
Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, daß es Ihnen von Nutzen sein wird,
aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK.
Details finden Sie in der GNU General Public License.
Sie sollten ein Exemplar der GNU General Public License zusammen mit diesem Programm erhalten haben.
Falls nicht, siehe <http://www.gnu.org/licenses/>.

*/

session_start();
include('config.php');
include('funktionen.php');
$link=db_verbinden($db_host, $db_name, $db_user, $db_pass);

$xml = new SimpleXMLElement(stripslashes($_POST['xml']));

$ret=check_kasse_usr((string)$xml->mail, 0);
$i=0;

if ($ret['usrid']>0) {
	$filecontents="Kasse;Id;Datum;Zeit;Verkaeufer;Artikel;Preis;Anzahl\r\n";
	foreach ($xml->xpath('//verkauf') as $verkauf) {
		$zeile = $xml->kasse . ";" . $verkauf->id . ";" . $verkauf->datum . ";" . $verkauf->zeit . ";" . $verkauf->verkaeufer . ";"
				. $verkauf->artikel . ";" . str_replace(".",",",$verkauf->preis) . ";" . $verkauf->anzahl . "\r\n";
		$filecontents = $filecontents . $zeile;
		$i++;
	}
	
	// Statistik in Datenbank schreiben
	$aktdatum=date("Y.m.d");
	$eintragen="INSERT INTO kasse_stat (usr, datum, anzahl ) values('" . $ret['usrid'] . "', '$aktdatum','$i')";
	
	mysqli_query($link, $eintragen)
	or die ( "Konnte Datensatz nicht hinzuf&uuml;gen: ".mysql_error() );
	
	// Mail schreiben
	$htmlkopf="<!DOCTYPE html>
	<html><head>
	<meta http-equiv='Content-Type' content='text/html; charset=UTF-8'>
	<title>Kasse Verkauf</title>
	</head><body>";
	$htmlfuss="</body></html>";
	
	$nachr =   "Sehr geehrte raAPP-Nutzer,<br><br>"
	. "im Anhang finden Sie Ihre übertragenen Verkäufe.<br><br>"
	. "Speichern sie den Anhang Kassenverkauf.csv und importieren Sie die Datei zur weiterne Verarbietung z.B.: in Ihre Tabellenkalkulation.<br>"
	. "Bitte beachten Sie beim Import, dass die Felder durch Semikolon getrennt sind.<br><br>"
	. "<br>Mit freundlichen Grüßen<br>raAPP.de<br><IMG SRC='" . $site_url . "/images/raapp_logo.png' NAME='Grafik1'><br>"
	. "<br>!!! Neuigkeiten zu raAPP Kasse finden Sie auf unserer Homepage <a href='" . $site_url . "'>" . $site_url . "</a> !!!"
	. "<br><br>Bitte Antworten Sie nicht auf diese Mail<br>";
	
	$nachr=$htmlkopf . $nachr . $htmlfuss;
	
	$Empfaenger = $xml->mail;
	$Betreff = "Verkaufsliste raAPP Kasse";
	$DateinameMail = "Kassenverkauf.csv";
	
	$Trenner = md5(uniqid(time()));
	
	$Header = "From:" . "noreply@raapp.de" . "\n";
	$Header .= "Reply-To:" . "noreply@raapp.de" . "\n";
	$Header .= "MIME-Version: 1.0\n";
	$Header .= "Content-Type: multipart/mixed; boundary=$Trenner\n";
	
	$text = $nachr . "\n";
	$text .= "--$Trenner\n";
	$text .= "Content-Type: text/html\n";
	$text .= "Content-Transfer-Encoding: 8bit\n\n";
	$text .= $text."\n";
	$text .= "--$Trenner\n";
	$text .= "Content-Type: text/comma-separated-values; name=$DateinameMail\n";
	$text .= "Content-Transfer-Encoding: base64\n";
	$text .= "Content-Disposition: attachment; ".
			"filename=$DateinameMail\n\n";
	$text .= chunk_split(base64_encode($filecontents));
	$text .= "\n";
	$text .= "--$Trenner--";
	
	mail($Empfaenger, $Betreff, $text, $Header);

	// Antwort an httpRequest geben
	echo "Der Verkauf für Kasse " . $xml->kasse . "\nwurde an " . $xml->mail . " gesendet\n\nBitte denken Sie daran nach Erhalt und Verarbeitung der Mail\ndie Verkaufsliste in Ihrer Kasse zu löschen";
} else {
	echo "Ihr Verkauf konnte nicht versendet werden, bitte registrieren Sie sich mit $xml->mail auf http://www.raapp.de\n" . $ret['usrid'] . "\n";
}
?>