<?php
/*
Copyright 2017	Matthias Rauch
www.raapp.de

Dieses Programm ist freie Software. Sie können es unter den Bedingungen der GNU General Public License,
wie von der Free Software Foundation veröffentlicht, weitergeben und/oder modifizieren,
entweder gemäß Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.
Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, daß es Ihnen von Nutzen sein wird,
aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK.
Details finden Sie in der GNU General Public License.
Sie sollten ein Exemplar der GNU General Public License zusammen mit diesem Programm erhalten haben.
Falls nicht, siehe <http://www.gnu.org/licenses/>.

*/
session_start();
include('config.php');
include('funktionen.php');
$link=db_verbinden($db_host, $db_name, $db_user, $db_pass);

$xml = new SimpleXMLElement(stripslashes($_POST['xml']));
$check=check_kasse_usr((string)$xml->mail, (string)$xml->account);

switch ($check['ret']) {
	case 1:	
			echo "Für Onlinefunktionen ist ein gültiger Account notwendig, bitte auf www.raapp.de anmelden";
			break;
	case 2:
			echo "Ihr Account ist inaktiv, bitte unter www.raapp.de anmelden";
			break;
	case 3:
		switch($_GET['sw']) {
			case 1:
				
				// JSON bauen und an tischabrechnung zurück
					$tischartikel=artikel_holen($xml);
		
					header("Content-type: application/json; charset=utf-8");
					echo json_encode($tischartikel);
					break;
			case 2:	// Formulardaten Tischabrechnung verarbeiten
					artikel_update($xml);
					break;
		}
		break;
	default:
			echo "Sie könne keine Tischabrechnung durchfühen, bitte registrieren Sie sich auf http://www.raapp.de";
}

function artikel_holen($xml) {
	global $link;
	
	// Stornos zunächst als kassiert markieren
	$abfrage="select v_id, artikel, preis from kasse_verkauf where account='$xml->account' and verkaeufer='$xml->verkaeufer' and tisch='$xml->tisch' and kassiert=0 and abgerechnet=0 and preis <0";
	$erg = mysqli_query($link, $abfrage);

	while ( $myartikelminus=mysqli_fetch_object( $erg )) {
		$abfrageplus="select v_id, artikel, preis from kasse_verkauf where account='$xml->account' and verkaeufer='$xml->verkaeufer' and tisch='$xml->tisch' and kassiert=0 and abgerechnet=0 and artikel='" . $myartikelminus->artikel . "' and preis > -1";
		$ergplus = mysqli_query($link, $abfrageplus);
		$myartikelplus= mysqli_fetch_object($ergplus);
		
		$update="UPDATE kasse_verkauf SET kassiert='1' where v_id= " . $myartikelminus->v_id ." or v_id=" . $myartikelplus->v_id;
		$ergplus = mysqli_query($link, $update);
	}
	
	// noch abzurechnende Artikel	
	$abfrage="select v_id, artikel, preis from kasse_verkauf where account='$xml->account' and verkaeufer='$xml->verkaeufer' and tisch='$xml->tisch' and kassiert=0 and abgerechnet=0";
	$erg = mysqli_query($link, $abfrage);
	$i=0;
	while ( $mysend=mysqli_fetch_object( $erg )) {
		$artikel[$i]= array('satz'=>$mysend->v_id, 'artikel'=>$mysend->artikel, 'preis'=>$mysend->preis);
			$i++;
	}
	if(isset($artikel)) {
		return $artikel;
	}
}

function artikel_update($xml) {
	global $link;
	
	$i=0;
	foreach ($xml->xpath('//satz') as $satz) {
		if($i===0) {
			$where=" where v_id='" . $satz . "'";
			$i++;
		} else {
			$where.=" or v_id='" . $satz . "'";
			$i++;
		}
	}
	if(strlen($where)>5) {
		$aendern = "UPDATE kasse_verkauf SET kassiert='1'" . $where;

		if(mysqli_query($link, $aendern)) {
			echo "True";
		} else {
			echo "False";
		}
	} else { echo ""; } // es waren keine Datensätze ausgewählt
}
?>