<?php
/*
Copyright 2018	Matthias Rauch
www.raapp.de

Dieses Programm ist freie Software. Sie können es unter den Bedingungen der GNU General Public License,
wie von der Free Software Foundation veröffentlicht, weitergeben und/oder modifizieren,
entweder gemäß Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.
Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, daß es Ihnen von Nutzen sein wird,
aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK.
Details finden Sie in der GNU General Public License.
Sie sollten ein Exemplar der GNU General Public License zusammen mit diesem Programm erhalten haben.
Falls nicht, siehe <http://www.gnu.org/licenses/>.

*/

include('../funktionen.php');
include('config.php');
	
htmlkopf();
echo "<div class='oben_k'><div id='container'><div><a HREF='index.php'><IMG SRC='../kasse/images/raapp_logo.png' NAME='Logo'></a></div></div></div>
<div id='container'>";

echo "<h3>raAPP Kasse Konfiguration</h3>
	<ul><li><a HREF='#kasse'>raAPP Kasse</a></li>
	<li><a HREF='#server'>raAPP Kasse Server</a></li>
	<li><a HREF='#print'>raAPP Print</a></li>
	<li><a HREF='#prints'>RawPrintServer</a></li>
	</ul><br>
	<br>raAPP Kasse kann standalone als auch zusammen mit raAPP Kasse Server verwendet werden.
	<br>raAPP Print kann ausschließlich in Verbindung mit raAPP Kasse und raAPP Kasse Server verwendet werden.<br>
	<br>Beim Einsatz von raAPP Kasse zusammen mit raAPP Kasse Server ist es hilfreich, die eigene Anforderung zunächst in einer kleinen Skizze darzustellen.
	Dies erleichtert die Auswahl der notwendigen raAPP-Komponente und unterstützt bei der Konfiguration.
	<br><br>Die einfachste Konfiguration besteht aus einem Notebook, auf dem raAPP Kasse und raAPP Kasse Server laufen.
	Der Zugriff auf raAPP Kasse Server erfolgt im Browser über http://localhost.
	<br><a href='images/kasse_konfig1.jpg'><img src='images/kasse_konfig1.jpg' width='500px'></a>
	<br>Ein einfaches Beispiel mit 2 Kassen und 2 Bondruckern  wie es häufig bei Vereinsfesten anzutreffen ist.
	<br>Beispielsweise raAPP Kasse Server auf einem Notebook, Kasse #1 auf einem Tablet, Kasse #2 auf einem Smartphone.
	<br><a href='images/kasse_konfig2.jpg'><img src='images/kasse_konfig2.jpg' width='500px'></a>
	
	<br><br>";

echo "<hr><h3>raAPP Kasse konfigurieren</h3>
	<ul><li><h3><a id='kasse'>raAPP Kasse standalone Betrieb</a></h3></li>
    <ul><li>raAPP Kasse starten und über den Button <img src='../kasse/images/raapp_setup.png' width='20px'> Einstellungen wechseln.
    <br>Soll die Verkaufsliste als Mail versendet werden, eine frei wählbare Kassen-ID und Mailadresse eingeben.
    Das Senden der Verkaufsliste erfordert eine Anmeldung bei <a HREF='http://www.raapp.de'>www.raapp.de</a>. Der Betrieb von raAPP Kasse ist auch ohne Anmledung möglich.
    <br>Der Button <img src='../kasse/images/raapp_back.png' width='20px'>  speichert die Eingaben und navigiert eine Ebene zurück.
    Die Auswahl Preisliste öffnet das Formular zur Eingabe der Artikel mit Preis und Buttonfarbe.
    <br>Bei Bedarf ist es über die Auswahl Verkäufer möglich mehrere Verkäufer zu definieren.
    <br>Die Konfiguration von raAPP Kasse abgeschlossen.</li>
	</ul></ul>
	
	<ul><li><h3>raAPP Kasse in Verbindung mit raAPP Kasse Server</h3></li>
	<ul><li>raAPP Kasse starten und über den Button <img src='../kasse/images/raapp_setup.png' width='20px'> Einstellungen wechseln.
	<br>Im Menüpunkt Einstellungen die im raAPP Kasse Server definierte Kassen-ID und Mailadresse eingeben.
	Im Abschnitt zusätzliche Einstellungen für raAPP Kasse Server das Feld Onlinefunktionen nutzen markieren und die Accountdaten aus raAPP Kasse Server eingeben.
	<br>Für Kasse #2 in obigem Beispiel zusätzlich das Feld Mehrbenutzerkasse markieren.
	<br>Optional kann die Tischnummernfunktion und die Rückgelderrechnung eingeschlatet werden.
	<br>Mit Button <img src='../kasse/images/raapp_back.png' width='20px'> eine Ebene zurück.
	Mit Button <img src='../kasse/images/raapp_laden.png' width='20px'> werden die Koinfigurationsdaten vom Server geladen.
	<br>Die Konfiguration von raAPP Kasse abgeschlossen</li>
	</ul></ul>

	Beim Betrieb von raAPP kasse auf einem Smarthone oder Tablet ist es möglich raPP Kasse als Favorit zu definieren und diesen als Button auf dem Homescreen zuzuweisen.
	Damit lässt sich raAPP Kasse wie jede andere App auf dem Gerät starten.
	<br><br>";

echo "<hr><h3><a id='server'>raAPP Kasse Server konfigurieren</a></h3>
	raAPP Kasse Control Center im Browser starten und mit der Benutzerkennung <span class='manbold'>kontakt@raAPP.de</span> und Account <span class='manbold'>12345</span> anmelden. 
	Ein Account in raAPP Kasse Server stellt eine eigenständige Kassenumgebung mit eigener Benutzer, Artikel, Drucker und Reportverwaltung dar.
	Der Benutzer kontakt@raapp.de kann Accounts verwalten und ist quasi der Superuser des Accounts 12345. 
	Zu empfehlen ist für den Betrieb einen neuen Account anzulegen.
	<ul><li><h3>Account</h3></li>
	<img src='images/account.png' style='float:right;' width='200px'>
	<ul><li>Neuen Account anlegen
	<br>mit <span class='navig'>Account</span> die Accountverwaltung starten
	<br>und mit <img src='images/raapp_bearbeiten.png'> einen neuen Account anlegen.
	<br>Der Accountname kann Buchstaben und Zahlen enthalten.
	<br><br>
	</li></ul>
	<ul><li>Account wechseln
	<br>Durch anklicken des Accounts wird der in der Verwaltung aktive Account gewechselt.
	<br><img src='images/account1.png' width='400px'>
	<br><br>
	</li></ul>
	<ul><li>Account löschen
	<br>mit <img src='images/raapp_del.png'> wird der Account gelöscht.
	<br>Es werden alle Konfigurations und Verkaufsdaten aus der Datenbank gelöscht.
	<br><br>
	</li></ul></ul>
	<ul><li><h3>Artikel</h3></li>
	<ul><li>neuen Artikel anlegen
	<br>mit <span class='navig'>Artikel</span> die Artikelverwaltung starten und mit <img src='images/raapp_bearbeiten.png'> einen neuen Artikel anlegen.
	<br>Artikel können mit positiven und negativen Preisen zum Beispiel für Pfandrückgabe definiert werden.
	<br>Für Artikel die einen Bondruck auslösen sollen das Feld drucken markieren.
	<br><br></li></ul>
	<ul><li>Artikel löschen
	<br>mit <img src='images/raapp_del.png'> wird der Artikel gelöscht.
	<br>
	</li></ul></ul>
	<ul><li><h3>Drucker</h3></li>
	<img src='images/drucker.png' style='float:right;' width='300px'>
	<br>
	<ul><li>neuen Drucker anlegen
	<br>mit <span class='navig'>Drucker</span> die Druckerverwaltung starten
	<br>und mit <img src='images/raapp_bearbeiten.png'> einen neuen Drucker anlegen
	<br><br>
	<br>Die Drucker-Id kann frei gewählt werden, es empfiehlt sich eine aufsteigende Nummerierung zu wählen.
	<br><br>Der Druckertyp definiert die Druckersprache, derzeit wird ESC/POS unterstützt.
	<br><br>Drucker können in der Betriebsart auto und bedient betrieben werden.
	In der Betriebsart auto werden die Bons nach Abschluss des Verkaufes von der Kasse direkt am Bondrucker ausgedruckt.
	In der Betriebsart bedient erfolgt der Bondruck erst nachdem der Verkäufer in raAPP Print den Druck startet.
	<br><br>Die Anschlussart kann abhängig vom Betriebssystem gewählt werden.
	Unix unterstützt App, direkt und Netzwerk, Windows unterstützt App und Netzwerk.
	<br><br>Anschlussart App siehe Konfiguration raAPP Print
	<br><br>Anschlussart direkt erfordert die Angabe der Gerätedatei in Ubuntu beispielsweise <span class='manbold'>/dev/usb/lp1</span>
	<br><br>Anschlussart Netzwerk unterstützt Netzwerk-Drucker bzw. Printserver und erfordert die Angabe der IP-Adresse und der Portnummer im Feld Gerätename. Beipiel: <span class='manbold'>192.168.0.100:9100</span>
	<br><br>Für Windows Betriebssysteme ist dem Paket ein RawPrintServer beigefügt mit dem ein am Windows PC angeschlossener USB-Drucker über Netzwerk angesprochen werden kann.
	Siehe Konfiguration <span class='manbold'>RawPrintServer</span>.
	<br><br>Wird unter Windows XAMPP genutzt bitte Datei xampp/php/php.ini prüfen. Socket Schnittstelle für Netzwerk Drucker unbedingt einschalten
	<br>Socket-SS eingeschaltet: &nbsp;&nbsp;&nbsp;extension=php_sockets.dll
	<br>Socket-SS ausgeschaltet: &nbsp;&nbsp;&nbsp;;extension=php_sockets.dll
	<br><br></li></ul>
	<ul><li>Drucker löschen
	<br>mit <img src='images/raapp_del.png'> wird der Drucker gelöscht.
	<br>
	</li></ul></ul>
	<ul><li><h3>Kassen</h3></li>
	<ul><li>neue Kasse anlegen
	<br>mit <span class='navig'>Kasse</span> die Kassenverwaltung starten und mit <img src='images/raapp_bearbeiten.png'> eine neue Kasse anlegen
	<br><br>Die Kassen-Id kann frei gewählt werden, es empfiehlt sich eine aufsteigende Nummerierung zu wählen.
	<br>Drucker auswählen und anschließend für jeden Button einen Artikel auswählen und die Buttonfarbe zuweisen.
	</li></ul>
	<br><br><ul><li>Kasse duplizieren
	<br>mit <img src='images/raapp_kopie.png'> wird die Kassendefinition dupliziert.
	</li></ul>
	<br><br><ul><li>Kasse löschen
	<br>mit <img src='images/raapp_del.png'> wird die Kasse gelöscht.
	<br>
	</li></ul></ul>
	<ul><li><h3>Verkäufer</h3></li>
	<ul><li>neuen Verkäufer anlegen
	<br>mit <span class='navig'>Verkäufer</span> die Verkäuferverwaltung starten und mit <img src='images/raapp_bearbeiten.png'> einen neuen Verkäufer anlegen
	<br><br>Pflichtfeld Vornamen definieren
	<br>Die Kasse auswählen, Vergütung in % und ausgehändigtes Wechselgeld definieren.
	</li></ul>
	<br><br><ul><li>Verkäufer löschen
	<br>mit <img src='images/raapp_del.png'> wird der Verkäufer gelöscht.
	<br>
	</li></ul></ul>
	<ul><li><h3>Benutzer</h3></li>
	<ul><li>neuen Benutzer anlegen
	<br>mit <span class='navig'>Benutzer</span> die Benutzerverwaltung starten und mit <img src='images/raapp_bearbeiten.png'> einen neuen Benutzer anlegen
	<br><br>Pflichtfeld Mail definieren
	<br>Benutzer aktiv oder inaktiv kennzeichnen und Benutzerberechtigung Kasse oder Kasse und Control Center einstellen.
	</li></ul>
	<br><br><ul><li>Benutzer löschen
	<br>mit <img src='images/raapp_del.png'> wird der Benutzer gelöscht.
	<br>
	</li></ul></ul>";

echo "<hr><h3><a id='print'>raAPP Print konfigurieren</a></h3>
	<ul><li>raAPP Print starten und über den Button <img src='../kasse/images/raapp_setup.png' width='20px'> zu Einstellungen wechseln.
    <br><br>Das Feld Druckername lokales System ist nur bei Anschlussart App in der Betriebsart auto relevant
	<br>Die Ansteuerung des lokalen Druckers über raAPP Print Anschlussart App wird nicht mehr supportet. Aktuelle Browser unterstützen die Funktion nicht mehr. Die Funktion und das Feld werden in der nächsten Version entfernt.
	<br><br>Weiterhin von raAPP Print unterstützt wird die Anschlussart App in der Betriebsart bedient.
	<br>Drucker ID Server entspricht der in raAPP Kasse Control Center definierten ID
    <br>Mail/Benutzer und account aus raAPP Kasse Control Center eintragen
    <br>Der Button <img src='../kasse/images/raapp_back.png' width='20px'>  speichert die Eingaben und navigiert eine Ebene zurück.
    <br><br>Die Konfiguration von raAPP Print ist abgeschlossen.</li>
	</ul></ul>
	";

echo "<hr><h3><a id='prints'>RawPrintServer unter Windows konfigurieren</a></h3>
	<ul><li>RawPrintServer ist ein Software-Printserver mit dem ein Windows PC als Printserver für einen angeschlossenen USB-Drucker genutzt werden kann.
	Wird raAPP Kasse Server auf einem Windows PC eingesetzt kann damit ein lokal angeschlossener USB-Drucker angesteuert werden.
	<br><br>Datei <span class='manbold'>RawPrintServer.exe</span> aus dem Verzeichnis <span class='manbold'>raapp/kasse/windows_specials</span> in ein lokales Verzeichnis das in der Path-Variablen eingeschlosssen ist
	kopieren. Beispielsweise C:\Windows. Der Inhalt der PATH-Variablen kann in einem cmd-Fenster mit dem Kommando <span class='manbefehl'>echo %PATH% </span> angezeigt werden.
	<br><br>USB-Drucker an den Windows PC anschließen und als Generic Drucker im raw-Modus unter Windows einrichten. Auf keinen Fall einen Windows Druckertreiber installieren.
	<br><br>Dem Drucker beispielsweise den Namen raapp_dr1 geben. 
	<br><br>Dann auf Ausführen gehen und <span class='manbefehl'> cmd </span> als Administrator ausführen.
	<br>Zur Installation des RawPrintServer-Dienstes den Befehl <span class='manbefehl'> C:\Windows\RawPrintServer.exe INSTALL \"raapp_dr1\" 9100 </span> ausführen.
	<br>Zur Installation eines weiteren Druckers und Dienstes kann einfach die Portnummer hochgezählt werden also 9101 usw.
	<br>Der Befehl lautet dann <span class='manbefehl'> C:\Windows\RawPrintServer.exe INSTALL \"raapp_dr2\" 9101 </span>
	<br><br>Damit der Port für den Drucker über das Netzwerk angesprochen werden kann muss in der Windows Firewall der Port durch hinzufügen einer neuen ausgehenden Regel freigeschaltet werden.
	Das kann in der Windows Systemverwaltung unter Firewall -> erweiterte Einstellungen vorgenommen werden. Es ist zu empfehlen die Regel mit einem sprechenden Namen z.B.: raapp_9100 zu versehen.
	Dies erleichtert später das Wiederauffinden der Regel fals man Sie wieder löschen möchte.
	<br><br>Wenn raAPP Kasse Server und Printserver auf dem gleichen PC ausgeführt werden lautet die Netzwerkadresse des raapp_dr1 <span class='manbold'>127.0.0.1:9100</span>
	<br><br>Wird der Printserver auf einem entfernten Windows PC ausgeführt empfiehlt sich dem Windows PC in der Netzwerkkonfiguration des Routers eine feste IP-Adresse zuzuweisen.
	<br><br>Um den Printserverdienst zu deinstallieren folgenden Befehl ausführen <span class='manbefehl'> C:\Windows\RawPrintServer.exe REMOVE 9100 </span>
	<br>sowie die Regel in der Windows Firewall entfernen.
	<br><br>siehe auch Lizenzinformation in License.txt im Verzeichnis windows-specials.
	<br></li>
	</ul></ul>
	";

echo "<br><br></div>";
seitenfuss();
htmlende();
?>

