<?php
/*
Copyright 2016	Matthias Rauch
www.raapp.de

Dieses Programm ist freie Software. Sie können es unter den Bedingungen der GNU General Public License,
wie von der Free Software Foundation veröffentlicht, weitergeben und/oder modifizieren,
entweder gemäß Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.
Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, daß es Ihnen von Nutzen sein wird,
aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK.
Details finden Sie in der GNU General Public License.
Sie sollten ein Exemplar der GNU General Public License zusammen mit diesem Programm erhalten haben.
Falls nicht, siehe <http://www.gnu.org/licenses/>.

*/

include('../funktionen.php');
include('config.php');
	
htmlkopf();
echo "<div class='oben_k'><div id='container'><div><a HREF='index.php'><IMG SRC='../kasse/images/raapp_logo.png' NAME='Logo'></a></div></div></div>
<div id='container'>";

echo "<h3>raAPP Kasse Tips und Tricks</h3>
	<ul><li><a HREF='#netz'>raAPP Kasse Netzwerk-Konfiguration</a></li>
	<li><a HREF='#kasse'>raAPP Kasse</a></li>
	<li><a HREF='#server'>raAPP Kasse Server</a></li>
	<li><a HREF='#print'>raAPP Print</a></li>
	</ul><br>
";

echo "<hr><h3>raAPP Kasse Netzwerk-Konfiguration</h3>
	<ul><li><h3><a id='netz'>raAPP Kasse Beispiel</a></h3></li>
	<a href='images/kasse_konfig2.jpg'><img src='images/kasse_konfig2.jpg' width='500px'></a>
	<ul><li>wird die raAPP Kasse Konfiguration in einem privaten Netzwerk genutzt sollte der raAPP Kasse Server in der DHCP-Konfiguration des Routers eine 
	feste IP-Adresse zugewiesen bekommen Beipielsweise <span class='manbold'>192.168.0.10</span>
	<br>Nehmen wir an Kasse 1 und Kasse 2 laufen auf einem Tablet oder Smartphone können die Kassen mittels Browser über die 
	URL <span class='manbold'>http://192.168.0.10/raapp/kasse/kasse</span> gestartet werden.
	<br>Es ist zu empfehlen die Kasse als Favorit im Browser zu speichern, noch besser als Button auf dem Homescreen einzurichten.
	</li></ul>
	<br><br>
	<ul><li>Werden die Bondrucker als Netzwerkdrucker über IP angesteuert sollten die Drucker in der DHCP-Konfiguration des Routers ebenfals eine 
	feste IP-Adresse zugewiesen bekommen Beipielsweise <span class='manbold'>192.168.0.50</span> für Bondrucker#1 und <span class='manbold'>192.168.0.51</span> für Bondrucker#2
	</li></ul>
	<br><br>
	<ul><li>eine stabile Netzwerkverbindung zwischen den Geräten ist für einen problemlosen Betrieb notwendig. Wenn möglich raAPP Kasse Server mittels Netzwerkkabel am Router anschließen.
	</li>
	</ul></ul>
	<br><br>";

echo "<hr><h3>raAPP Kasse</h3>
	<ul><li><h3><a id='kasse'>undefinierbarer Fehler</a></h3></li>
    <ul><li>Browsercache löschen, Kasse neu laden und Einstellungen durchführen</li>
	</ul></ul>
	
	<ul><li><h3>raAPP Kasse in Verbindung mit raAPP Kasse Server</h3></li>
	<ul><li>Kassen Setup laden <img src='../kasse/images/raapp_laden.png' width='20px'> funktioniert nicht.
	<br>Netzwerkverbindung sowie Konfiguration Mail/Benutzer und Account prüfen.</li>
	</ul></ul>
	<br><br>";

echo "<hr><h3><a id='server'>raAPP Kasse Server</a></h3>
	Als raAPP Kasse Server ist ein handelsüblicher Notebook die beste Lösung, da Notebooks in der Regel über einen Akku verfügen und einen Stromausfall überbrücken.
	Gerade bei Vereinsfesten muss immer mit Stromausfällen gerechnet werden.
	<ul><li><h3>raAPP Kasse Server auf USB-Stick oder externer Festplatte</h3></li>
	<ul><li>Ubuntu kann problemlos von einem USB-Stick oder einer externen Festplatte gebootet werden.
	In Verbindung mit einem Notebook der von USB booten kann ist es möglich raAPP Kasse Server auf einem USB-Device zu installieren.
	Die Beschreibung der Ubuntuinstallation finden Sie <a HREF='http://wiki.ubuntuusers.de/Installation_auf_externen_Speichermedien' target='_blank'>hier</a>
	<br><br>Sobald die Ubuntu-Installation auf dem externen Speichermedium abgeschlossen ist, können Sie vom externen Medium booten und die 
	Installation von raAPP Kasse Server unter Ubuntu siehe Installation durchführen.
	<br><br>Die bestehende Installation des verwendeten Notebooks kann dadurch unverändert erhalten bleiben.
	<br><br>
	</li></ul></ul>";

echo "<hr><h3><a id='print'>raAPP Print</a></h3>
	<ul><li><h3><a id='print'>undefinierbarer Fehler</a></h3></li>
    <ul><li>Browsercache löschen, raAPP Print neu laden und Einstellungen durchführen</li>
	</ul></ul>
	
	<ul><li><h3>raAPP Print in Verbindung mit raAPP Kasse Server</h3></li>
	<ul><li>raAPP Print Druckt nicht.
	<br>Netzwerkverbindung sowie Konfiguration Mail/Benutzer, Account, Drucker ID und lokalen Druckername prüfen.</li>
	</ul></ul>
	<br><br>";

echo "<br><br></div>";
seitenfuss();
htmlende();
?>

