/*
Copyright 2015	Matthias Rauch
www.raapp.de

Dieses Programm ist freie Software. Sie können es unter den Bedingungen der GNU General Public License,
wie von der Free Software Foundation veröffentlicht, weitergeben und/oder modifizieren,
entweder gemäß Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.
Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, daß es Ihnen von Nutzen sein wird,
aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK.
Details finden Sie in der GNU General Public License.
Sie sollten ein Exemplar der GNU General Public License zusammen mit diesem Programm erhalten haben.
Falls nicht, siehe <http://www.gnu.org/licenses/>.

*/

var xmltransfer;
var Lauf;

/* Datumstempel mit YYYY-MM-TT initialisieren */
var aktuelleZeit = new Date();
var monat2stellig = new Array("01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12");
var tag2stellig = new Array("00", "01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12", "13", "14", "15", "16", "17", "18", "19",
							"20", "21", "22", "23", "24", "25", "26", "27", "28", "29", "30", "31");
var datumstempel = aktuelleZeit.getFullYear() + "-" + monat2stellig[aktuelleZeit.getMonth()] + "-" + tag2stellig[aktuelleZeit.getDate()];


/* Alle divs ausblenden */
function div_zu() {
	document.getElementById ('startseite').style.display = 'none';
	document.getElementById ('head_back').style.display = 'none';
	document.getElementById ('head_start').style.display = 'none';
	document.getElementById ('head_stop').style.display = 'none';
	document.getElementById ('head_setup').style.display = 'none';
	document.getElementById ('drucker').style.display = 'none';
	document.getElementById ('dr_param').style.display = 'none';
	document.getElementById ('lizenz').style.display = 'none';
	document.getElementById ('setup').style.display = 'none';
}

/* Print Starten */
function print_start() {
	div_zu();
	document.getElementById ('header').style.display = 'block';
	document.getElementById ('head_start').style.display = 'inline';
	document.getElementById ('head_setup').style.display = 'inline';
	if (localStorage.getItem("PrintAccount").length <= 1) {
		param_start();
	} else {
	document.getElementById ('head_start').innerHTML='<a id="head_del" href="#" onclick="druck()"><img src="./images/raapp_start.png"></a>';
	document.getElementById ('drucker').style.display = 'block';
	}
}

/* Setup Starten */
function setup_start() {
	div_zu();
	document.getElementById ('head_back').style.display = 'inline';
	document.getElementById ('head_back').innerHTML='<a id="head_back" href="#" onclick="print_start()"><img src="./images/raapp_back.png"></a>';
	document.getElementById ('setup').style.display = 'block';
}

/* Param Starten */
function param_start() {
	div_zu();
	document.getElementById ('head_back').style.display = 'inline';
	document.getElementById ('head_back').innerHTML='<a id="head_back" href="#" onclick="chk_F_DruckParam()"><img src="./images/raapp_back.png"></a>';
	document.getElementById ('dr_param').style.display = 'block';
	F_DruckParam();
}

function druck() {
	document.getElementById ('head_setup').style.display = 'none';
	document.getElementById ('head_start').style.display = 'inline';
	document.getElementById ('head_start').innerHTML='<a id="head_del" href="#" onclick="StopLauf()"><img src="./images/raapp_stop.png"></a>';
	
	hole_bart_aart(); // beschreibt die globalen Variablen bart(Betriebsart) und aart(Anschlussart)

	// localStorage.setItem ( "PrintModus", document.forms.f_dr_param.PrintModus.value);
	if (aart=="App") {
		/* <!-- QZ-Print Applet laden selbst gebaut wegen html5 läuft nicht unter Windows 
		<object archive="qz-print.jar" classid="java:qz.PrintApplet.class" id="qz"
    			codetype="application/x-java-applet" width="100" height="100">
		</object> -->
		*/
		
		//<!-- QZ-Print Applet laden aus sample qz-print		  -->
		var f="<applet id='qz' archive='./qz-print.jar' name='QZ Print Plugin' code='qz.PrintApplet.class' width='55' height='55'>";
		f += "<param name='jnlp_href' value='qz-print_jnlp.jnlp'>";
		f += "<param name='cache_option' value='plugin'>";
		f += "<param name='disable_logging' value='false'>";
		f += "<param name='initial_focus' value='false'>";
		f += "</applet>";
		document.getElementById ('qzapp').innerHTML=f;
		
		document.getElementById("qz").findPrinter(localStorage.getItem("DruckerName"));
		
		// Automatically gets called when "qz.findPrinter()" is finished.
		window['qzDoneFinding'] = function() {
			var printer = qz.getPrinter();
			
			if (printer !== null) {
				if (bart!="auto") {
					drucken_man();	
				} else {
					Lauf=setInterval(function() { drucken(0); } , 2000);
				}
				document.getElementById("meldung").innerHTML="<br>" + printer + " gestartet";
			} else { alert('Fehler !!!  Drucker --- ' + localStorage.getItem("DruckerName") + ' --- nicht gefunden'); }
			
			// Remove reference to this function
			window['qzDoneFinding'] = null;
		};
	} else {
		if (bart!="auto") {
			drucken_man();
		} else {
			alert("Der Drucker ist im raAPP Kasse Control Center nicht für den Betrieb mit raAPP Print konfiguriert\n");
		}
	}
}

function drucken_man() {
	/* Bediener für Kasse vom Server holen */
	xmltransfer = '<?xml version="1.0" encoding="UTF-8"?>\n' 
			+	'<transfer>\n<befehl>2</befehl>\n<druckerid>' + localStorage.getItem("DruckerId") 
			+ '</druckerid>\n<mail>' + localStorage.getItem("MailAccount") 
			+ '</mail>\n<account>' + localStorage.getItem("PrintAccount") + '</account>\n';
		xmltransfer += "</transfer>";
		xmlhttp=new XMLHttpRequest();
		xmlhttp.open("POST","../print/raapp_print.php",true);
		xmlhttp.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
		xmlhttp.send("xml=" + xmltransfer);
		xmlhttp.onreadystatechange=function()
		{
		if (xmlhttp.readyState==4 && xmlhttp.status==200)
		  {
			var JSONObject=JSON.parse(xmlhttp.responseText);
			
			/* **************************************** */
			/* Buttons für Verkaeufer anzeigen */
			/* **************************************** */
			var f = "";
			var kl = 'class="verkaeufer_button"';
			for ( var i=0; i<JSONObject.length; i++) {
				/* Beim Button klicken Bons für den Verkaeufer vom Server holen und ausdrucken */
				/* f += '<div id="kb' + i + '" ' + kl + '" onclick="alert(' + i + ')"></div>';*/
				f += '<div id="kb' + i + '" ' + kl + ' onclick="drucken(\'' + JSONObject[i] + '\')"></div>';
			}
			document.getElementById("verkaeufer").innerHTML=f;
			/* Verkaeufername auf Buttons schreiben */
			for ( var i=0; i<JSONObject.length; i++) {
				document.getElementById("kb" + i).innerHTML="<div id='verkaeufer_buttontext'>Bondruck<br>" + JSONObject[i] + "</div>";
			}
		  }
		};	
}

function drucken(verk) {
		xmltransfer = '<?xml version="1.0" encoding="UTF-8"?>\n' 
			+	'<transfer>\n<befehl>1</befehl>\n<druckerid>' + localStorage.getItem("DruckerId") 
			+ '</druckerid>\n<mail>' + localStorage.getItem("MailAccount") 
			+ '</mail>\n<account>' + localStorage.getItem("PrintAccount")
			+ '</account>\n<verkaeufer>' + verk + '</verkaeufer>\n';
		xmltransfer += "</transfer>";
		xmlhttp=new XMLHttpRequest();
		xmlhttp.open("POST","../print/raapp_print.php",true);
		xmlhttp.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
		xmlhttp.send("xml=" + xmltransfer);
		xmlhttp.onreadystatechange=function()
		{
		if (xmlhttp.readyState==4 && xmlhttp.status==200)
		  {
			if (xmlhttp.responseText.length > 1) {
			var JSONObject=JSON.parse(xmlhttp.responseText);

			/* Hier erfolgt die Weitergabe an Zebra
			 	bon ist als base64übertragen */
			document.getElementById("qz").append64(JSONObject.bon);
			document.getElementById("qz").print();
			
			document.getElementById("meldung").innerHTML="<br>Drucker: " + localStorage.getItem("DruckerName")
															+ "<br>Verkäufer: " + JSONObject.verkaeufer
															+ "<br><br>Artikel: " + JSONObject.artikel;
			}
		  }
		};
	}

function StopLauf()
{
	clearInterval(Lauf);
	document.getElementById ('header').style.display = 'block';
	document.getElementById ('head_start').style.display = 'inline';
	document.getElementById ('head_start').innerHTML='<a id="head_del" href="#" onclick="druck()"><img src="./images/raapp_start.png"></a>';
	document.getElementById ('drucker').style.display = 'block';
	document.getElementById ('head_setup').style.display = 'block';
	
	xmltransfer = '<?xml version="1.0" encoding="UTF-8"?>\n<transfer>\n<befehl>0</befehl>\n</transfer>';
	xmlhttp=new XMLHttpRequest();
	xmlhttp.open("POST","../print/raapp_print.php",true);
	xmlhttp.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
	xmlhttp.send("xml=" + xmltransfer);
	xmlhttp.onreadystatechange=function()
	{
	if (xmlhttp.readyState==4 && xmlhttp.status==200)
	  {
		document.getElementById("meldung").innerHTML="<br>" + localStorage.getItem("DruckerName") + " " + xmlhttp.responseText;
	  }
	};
}

/* Lizenz anzeigen */
function lizenz_start() {
	div_zu();
	document.getElementById ('head_back').style.display = 'inline';
	document.getElementById ('head_back').innerHTML='<a id="head_back" href="#" onclick="chk_F_DruckParam()"><img src="./images/raapp_back.png"></a>';
	document.getElementById ('lizenz').style.display = 'block';
	var f = '<h3>Lizenzbestimmungen</h3>';
		f += 'This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by ';
		f += 'the Free Software Foundation, either version 3 of the License, or (at your option) any later version.<br><br>';
		f += 'This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of ';
		f += 'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.<br><br>';
		f += 'You should have received a copy of the GNU General Public License along with this program.  If not, see <http://www.gnu.org/licenses/>.<br><br>';
		f += 'Dieses Programm ist Freie Software: Sie können es unter den Bedingungen der GNU General Public License, wie von der Free Software Foundation, ';
		f += 'Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren veröffentlichten Version, weiterverbreiten und/oder modifizieren.<br><br>';
		f += 'Dieses Programm wird in der Hoffnung, dass es nützlich sein wird, aber OHNE JEDE GEWÄHRLEISTUNG, bereitgestellt; sogar ohne die implizite ';
		f += 'Gewährleistung der MARKTFÄHIGKEIT oder EIGNUNG FÜR EINEN BESTIMMTEN ZWECK. Siehe die GNU General Public License für weitere Details.<br><br>';
		f += 'Sie sollten eine Kopie der GNU General Public License zusammen mit diesem Programm erhalten haben.<br>Wenn nicht, siehe <a href="http://www.gnu.org/licenses">http://www.gnu.org/licenses/</a>.<br><br>';
		f += '<br><h3>Lizenzbestimmungen für QZ-Print</h3><br><br>';
		f += 'QZ-PRINT ApplicationCopyright (c) 2008-2013 QZ Industries, LLC<br>Dual Licensed: LGPL-2.1 License* (attached) - OR - QZ Industries Source Code License (proprietary)<br>http://qzindustries.com<br>';
		f += 'siehe LICENSE_qz-print.txt<br>';
		document.getElementById("lizenz").innerHTML= f;
}

/* ########  Druckerparam  ########### */
/* Felder fals vorhanden im Formular vorbelegen */
function F_DruckParam() {
	if (localStorage.getItem("DruckerName") != null) {
		document.forms.f_dr_param.DruckerName.value = localStorage.getItem("DruckerName");
	}
	if (localStorage.getItem("DruckerId") != null) {
		document.forms.f_dr_param.DruckerId.value = localStorage.getItem("DruckerId");
	}
	if (localStorage.getItem("MailAccount") != null) {
		document.forms.f_dr_param.MailAccount.value = localStorage.getItem("MailAccount");
	}
	if (localStorage.getItem("PrintAccount") != null) {
		document.forms.f_dr_param.PrintAccount.value = localStorage.getItem("PrintAccount");
	}
}

/* Formulareingaben Druckerparam nach submit verarbeiten */
function chk_F_DruckParam() {
	localStorage.setItem ( "DruckerName", document.forms.f_dr_param.DruckerName.value);
	localStorage.setItem ( "DruckerId", document.forms.f_dr_param.DruckerId.value);
	localStorage.setItem ( "MailAccount", document.forms.f_dr_param.MailAccount.value);
	localStorage.setItem ( "PrintAccount", document.forms.f_dr_param.PrintAccount.value);



	setup_start();
}

function hole_bart_aart() {
	xmltransfer = '<?xml version="1.0" encoding="UTF-8"?>\n' 
			+	'<transfer>\n<befehl>0</befehl>\n<druckerid>' + localStorage.getItem("DruckerId") 
			+ '</druckerid>\n<mail>' + localStorage.getItem("MailAccount") 
			+ '</mail>\n<account>' + localStorage.getItem("PrintAccount") + '</account>\n';
		xmltransfer += "</transfer>";
		xmlhttp=new XMLHttpRequest();
		xmlhttp.open("POST","../print/raapp_print.php",false);  // synchroner request, damit Script wartet bis die Antwort da ist
		xmlhttp.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
		xmlhttp.send("xml=" + xmltransfer);

		if (xmlhttp.readyState==4) {
			var JSONObject=JSON.parse(xmlhttp.responseText);
			bart=JSONObject.bart;
			aart=JSONObject.aart;
		}
}

/* wandelt Zahlen in formatierte Ausgaben um
Beispiele
number_format (1, 2, ",") = "1,00"
number_format (1.2, null, ",") = "1,2"
number_format (1234, 0, null, ".") = "1.234"
number_format (1.23456e50, 4, ",") = "1,2346e+50"
number_format (-950.5, 2, ",", ".") = "-950,50"
number_format (-0.5, 2, ",") = "-0,50"
number_format (-0.001, 2, ",") = "0,00"
 */
function number_format (number, decimals, dec_point, thousands_sep)
{
  var exponent = "";
  var numberstr = number.toString ();
  var eindex = numberstr.indexOf ("e");
  if (eindex > -1)
  {
    exponent = numberstr.substring (eindex);
    number = parseFloat (numberstr.substring (0, eindex));
  }
  
  if (decimals != null)
  {
    var temp = Math.pow (10, decimals);
    number = Math.round (number * temp) / temp;
  }
  var sign = number < 0 ? "-" : "";
  var integer = (number > 0 ? 
      Math.floor (number) : Math.abs (Math.ceil (number))).toString ();
  
  var fractional = number.toString ().substring (integer.length + sign.length);
  dec_point = dec_point != null ? dec_point : ".";
  fractional = decimals != null && decimals > 0 || fractional.length > 1 ? 
               (dec_point + fractional.substring (1)) : "";
  if (decimals != null && decimals > 0)
  {
    for (i = fractional.length - 1, z = decimals; i < z; ++i)
      fractional += "0";
  }
  
  thousands_sep = (thousands_sep != dec_point || fractional.length == 0) ? 
                  thousands_sep : null;
  if (thousands_sep != null && thousands_sep != "")
  {
	for (var i = integer.length - 3; i > 0; i -= 3)
      integer = integer.substring (0 , i) + thousands_sep + integer.substring (i);
  }
  
  return sign + integer + fractional + exponent;
}
