<?php
/*
Copyright 2017	Matthias Rauch
www.raapp.de

Dieses Programm ist freie Software. Sie können es unter den Bedingungen der GNU General Public License,
wie von der Free Software Foundation veröffentlicht, weitergeben und/oder modifizieren,
entweder gemäß Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.
Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, daß es Ihnen von Nutzen sein wird,
aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK.
Details finden Sie in der GNU General Public License.
Sie sollten ein Exemplar der GNU General Public License zusammen mit diesem Programm erhalten haben.
Falls nicht, siehe <http://www.gnu.org/licenses/>.

*/
session_start();
include('../config.php');
include('../funktionen.php');
$link=db_verbinden($db_host, $db_name, $db_user, $db_pass);

htmlkopf();
sessioncheck1();
zeige_kopf('index');

echo "<div id='container'>";

function anzeigen() {
	global $link;
	echo "<p class='edit_neu'><a href='kassen.php?sw=3'><IMG SRC='images/raapp_bearbeiten.png'></a>Neue Kasse anlegen</p>
		<table class='edit'>
		<tr><th></th><th>Kasse ID <img src='images/raapp_info.png' onmouseover='InfoBoxAnzeigen(event,info[0],20,-30);' onmouseout='InfoBoxAusblenden();'></th>
 		<th>Drucker ID</th><th>Bemerkungen</th></tr>";
		$abfrage="SELECT id, k_id, drucker, bemerkungen FROM kasse_kassen where account like '" . $_SESSION['GlobalAccount'] . "'";
		// echo $abfrage;
		$erg = mysqli_query($link, $abfrage);

		while ( $mykasse=mysqli_fetch_object( $erg )) {
			echo "<tr><td><a href='kassen.php?sw=1&id=$mykasse->id'><IMG SRC='images/raapp_bearbeiten.png' onmouseover='InfoBoxAnzeigen(event,info[1],40,-30);' onmouseout='InfoBoxAusblenden();'></a>
				<a href='kassen.php?sw=5&id=$mykasse->id'><IMG SRC='images/raapp_kopie.png' onmouseover='InfoBoxAnzeigen(event,info[3],40,-30);' onmouseout='InfoBoxAusblenden();'></a>
				<a href='kassen.php?sw=4&id=$mykasse->id'><IMG SRC='images/raapp_del.png' onmouseover='InfoBoxAnzeigen(event,info[2],40,-30);' onmouseout='InfoBoxAusblenden();'></a></td>
				<td>$mykasse->k_id</td>
				<td>$mykasse->drucker</td>
				<td>$mykasse->bemerkungen</td></tr>";
		}
	echo "</table>";
}

function anzeigen_form($id) {
	global $link;
	$abfrage="SELECT * FROM kasse_kassen where account like '" . $_SESSION['GlobalAccount'] . "' and id=" . $id;
	// echo $abfrage;
	$erg = mysqli_query($link, $abfrage);
	$satz=mysqli_fetch_array($erg);

	echo "<form id='f_kassen' method='post' action='kassen.php?sw=2'>
			<p class='edit'>Kasse ID <input name='id' type='hidden' size='30' value='". $satz['id'] . "'>
			<input name='k_id' type='text' size='3' value='". $satz['k_id'] . "'>
			<img src='images/raapp_info.png' onmouseover='InfoBoxAnzeigen(event,info[0],20,-30);' onmouseout='InfoBoxAusblenden();'>
			Drucker ID <select name='drucker' size='1'>";
				$drucker=hole_drucker();
				foreach($drucker as $dr) {
					if ($dr==$satz['drucker']) {
						echo "<option selected>$dr</option>";
					} else {
						echo "<option>$dr</option>";
					}
				}
			echo "</select></p>";
			echo "<p>Bemerkungen <input name='bemerk' type='text' size='50' value='". $satz['bemerkungen'] . "'></p>";
			
			echo "<table class='edit_form'><tr><th>Button</th><th>Artikel</th><th>Farbe</th>
					<th></th><th>Button</th><th>Artikel</th><th>Farbe</th></tr>";
			$i=1;
			$nz=0;
			while($i<37) {
				if($nz==0) { echo "<tr>"; }
					echo "<td>$i</td><td><select onchange='farbresetcheck($i)' name='b" . $i . "' id='b" . $i . "' size='1'>";
					$artikel=hole_artikel();
					$button="b$i";
					echo "<option> </option>";
					foreach($artikel as $ar) {
						if ($ar==$satz[$button]) {
							echo "<option selected>". $ar . "</option>";
						} else {
							echo "<option>" . $ar . "</option>";
							}
					}
				echo "</select></td>";

				$butfarb="bf$i";
				echo "<td><input id='bf" . $i . "' name='bf" . $i . "' type='text' value='" . $satz[$butfarb] . "' size='1' style='background-color:"
					 . $satz[$butfarb] . "; color:" . $satz[$butfarb] . "' onclick='farbauswahl(this)' readonly></td>";
				if ($nz==0) { echo "<td> </td>"; }
				if ($nz==1) { echo "</tr>"; }
				$i++;
				$nz++; if($nz==2) { $nz=0; }
			}
		echo "</table>
			<br><input class='navig' type='submit' value=' speichern '></form>";
}

function update_kasse($post) {
	global $link;
	$i=1;
	$aendern = "UPDATE kasse_kassen SET k_id=" . $post['k_id'] . ",	drucker=" . $post['drucker'] . " , bemerkungen='" . $post['bemerk'] . "'";
				while ($i<37) {
					$b="b" . $i;
					$bf="bf" . $i;
					$aendern .= " , $b='" . $post[$b] . "' , $bf='" . $post[$bf] ."'";
					$i++;
				}
					$aendern .= " where account like '" . $_SESSION['GlobalAccount'] . "' and id=" . $post['id'];
	// echo "<br>$aendern<br>";
	$erg = mysqli_query($link, $aendern);
}

function neue_kasse() {
	global $link;
	$i=1;
	$abfrage="INSERT into kasse_kassen set k_id='0', account='" . $_SESSION['GlobalAccount'] . "', drucker='', bemerkungen='neue Kasse'";
	while ($i<37) {
		$b="b" . $i;
		$bf="bf" . $i;
		$abfrage .= " , $b='' , $bf=''";
		$i++;
	}
	// echo $abfrage; exit();
	$erg = mysqli_query($link, $abfrage);
	
	$abfrage="SELECT id FROM kasse_kassen where account like '" . $_SESSION['GlobalAccount'] . "' ORDER BY id DESC LIMIT 1";
	// echo "<br>Select: " . $abfrage;
	$erg = mysqli_query($link, $abfrage);
	$satz=mysqli_fetch_array($erg);
	// echo "<br>ID: " . $satz['id'];
	return($satz['id']);
}

function hole_drucker() {
	global $link;

	$abfrage="SELECT d_id FROM kasse_drucker where account like '" . $_SESSION['GlobalAccount'] . "'";
	// echo $abfrage;
	$erg = mysqli_query($link, $abfrage);
	
	$i=0;
	while ( $mydrucker=mysqli_fetch_object( $erg )) {
		$drucker[$i]=$mydrucker->d_id;
		$i++;
	}
	return($drucker);
}

function del_kasse($id) {
	global $link;

	$abfrage="DELETE from kasse_kassen where account='" . $_SESSION['GlobalAccount'] . "' and id=" . $id;
	// echo $abfrage;
	$erg = mysqli_query($link, $abfrage);
}

function kopie_kasse($id_quelle) {
	global $link;
	
	$abfrage="SELECT * FROM kasse_kassen where account like '" . $_SESSION['GlobalAccount'] . "' and id=" . $id_quelle;
	// echo $abfrage;
	$erg = mysqli_query($link, $abfrage);
	$satz=mysqli_fetch_array($erg);
	
	$id_ziel=neue_kasse();
	$i=1;
	$aendern = "UPDATE kasse_kassen SET k_id=0,	drucker=" . $satz['drucker'] . " , bemerkungen='" . $satz['bemerkungen'] . "'";
	while ($i<37) {
		$b="b" . $i;
		$bf="bf" . $i;
		$aendern .= " , $b='" . $satz[$b] . "' , $bf='" . $satz[$bf] ."'";
		$i++;
	}
	$aendern .= " where account like '" . $_SESSION['GlobalAccount'] . "' and id=" . $id_ziel;
	// echo "<br>$aendern<br>";
	$erg = mysqli_query($link, $aendern);
	
	return($id_ziel);
}

switch ($_GET['sw']) {
	case 1:		anzeigen_form($_GET['id']);
				break;
	case 2:		update_kasse($_POST);
				anzeigen();
				break;
	case 3:		$id=neue_kasse();
				anzeigen_form($id);
				break;
	case 4:		del_kasse($_GET['id']);
				anzeigen();
				break;
	case 5:		kopie_kasse($_GET['id']);
				anzeigen();
				break;
	default:	anzeigen();
				break;
}

mysqli_close($link);
echo "</div>";
seitenfuss();
htmlende();
?>