<?php
/*
Copyright 2018	Matthias Rauch
www.raapp.de

Dieses Programm ist freie Software. Sie können es unter den Bedingungen der GNU General Public License,
wie von der Free Software Foundation veröffentlicht, weitergeben und/oder modifizieren,
entweder gemäß Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.
Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, daß es Ihnen von Nutzen sein wird,
aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK.
Details finden Sie in der GNU General Public License.
Sie sollten ein Exemplar der GNU General Public License zusammen mit diesem Programm erhalten haben.
Falls nicht, siehe <http://www.gnu.org/licenses/>.

*/

function htmlkopf() {
	echo "<!DOCTYPE html>
	<html><head><META HTTP-EQUIV='CONTENT-TYPE' CONTENT='text/html; charset=UTF-8'>
	<META HTTP-EQUIV='Content-Language' CONTENT='de'>
	<TITLE>www.raAPP.de</TITLE>
	<META NAME='AUTHOR' CONTENT='Matthias Rauch'>
	<meta name='description' content='raAPP Apps muß man haben'>
	<meta name='keywords' content='App, Kasse, Bonkasse, Registrierkasse, Kassenapp, HTML5 App, Verein, Freie Software, Smartphone, Tablet, Wasp, Wespe, Rauch'>
	<link rel='stylesheet' type='text/css' href='" . pfadwurzel(3) . "raapp_online.css'>
	<link rel='shortcut icon' type='image/x-icon' href='images/favicon.ico'>
	<script type='text/javascript' src='" . pfadwurzel(3) . "funktionen.js'></script>
	</head>
	<body><div id='InfoBox' ><div id='BoxInnen'><span id='BoxInhalte'>&nbsp;</span></div></div>
	<div id='seite'>
	";
}

function htmlende() {
	echo "</div></body></html>";
}

function pfadwurzel($b) {
	$r="";
	$anz=substr_count ( $_SERVER['PHP_SELF'], '/' );
	for ($i=$b; $i<$anz; $i++ ) {
		$r=$r . "../";
	}
	return($r);
}

function sessioncheck() {
	if (! isset ($_SESSION['usrid']) && ! isset ($_SESSION['account'])) {
		return(false);
	} else { return(true);
	}
}

function sessioncheck1() {
	if (! isset ($_SESSION['GlobalNachname'])) {
		zeige_kopf();
		zeige_navi("index");

		echo "<span class='fehlerbox'> Sie sind noch nicht angemeldet.<br><br>
		Bitte melden Sie sich mit Ihrer Benutzerkennung und Ihrem Passwort an
		oder beantragen Sie einen Zugang</span>";
		exit();
	}
}

function check_nutzer() {
	include("config.php");

	if (isset($_SESSION['versuch']) && $_SESSION['versuch']>2) {
		return false;
	}

	if (!isset($_SESSION['auth']) && !isset($_POST['username'])) {
		return false;
	}

	if (isset($_POST['username'])) {
		if (!isset($_SESSION['versuch'])) {
			$_SESSION['versuch']=1;
		} else {
			$_SESSION['versuch']++;
		}

		if (!isset($_COOKIE[session_name()])) {
			return false;
		}

		$nutzer = trim($_POST['username']);
		$pwd = trim($_POST['passwort']);

		if (strlen($nutzer)<3) {
			return false;
		}
		$r=check_kasse_usr($nutzer,$pwd);
		if ( $r['ret'] == 3) {
			$_SESSION['auth']=$nutzer;
			return true;
		} else {
			return false;
		}
	}
}

function zeige_kopf($nav) {
	echo "<div class='oben_k'>";
	if ($nav) {
		echo "<div id='container'><div><IMG SRC='images/raapp_control.png' NAME='Logo'>
				<span class='version'>" . $_SESSION['version'] . "</span>";
		kasse_login();
		echo "</div>";
		zeige_navi($nav);
	} else {
		echo "<div id='container'><div><a HREF='index.php'><IMG SRC='images/raapp_control.png' NAME='Logo'></a></div>";
	}
	echo "</div></div>";
}

// Anzeigen der Navigationsleiste
function zeige_navi($seite) {
	echo "<div id='navi'>";
	switch($seite) {
		case "index":
						echo "
							<A class='navig' HREF='artikel.php?sw=0'>Artikel</A>
							<A class='navig' HREF='drucker.php?sw=0'>Drucker</A>
							<A class='navig' HREF='kassen.php?sw=0'>Kassen</A>
							<A class='navig' HREF='verkaeufer.php?sw=0'>Verk&auml;ufer</A>
							<A class='navig' HREF='benutzer.php?sw=0'>Benutzer</A>
							<A class='navig' HREF='report.php'>Report</A>
						";
						if($_SESSION['GlobalArt']==2) {
							echo "
								<A class='navig' HREF='account.php'>Account</A>
								<div class='dropdown'>
									<A class='dropbtn'>Verwaltung</A>
								<div class='dropdown-content'>
									<A HREF='verwaltung.php?sw=1'>Datenbank</A>
									<A HREF='verwaltung.php'>auf Update pr&uuml;fen</A>
									</div>
								</div>
							";
						}
						break;
		case "kasse":
						echo "<A class='navig' HREF='kasse/index.html'>raAPP Kasse</A>";
						if($_SERVER['HTTP_HOST']=="localhost" or $_SERVER['HTTP_HOST']=="localhost:81") {
							echo "<A class='navig' HREF='print/index.html'>raAPP Print</A>
							<A class='navig' HREF='controlcenter/index.php'>raAPP Kasse Control Center</A>";
						}
						echo "<A class='navig' HREF='manual/index.php'>raAPP Kasse Manual</A>
						";
						break;
	}
	echo "</div>";
}

function kasse_login() {
	
	// wenn noch nicht eingelogt
	if (! isset ($_SESSION['GlobalNachname'])) {
		echo "<div id='loginbox'>
			<form method='post' action=" . $_SERVER['PHP_SELF'] . ">
			Benutzerkennung:<br><input type='text' name='username' size='12'><br>
			Account:<br><input type='password' name='passwort' size='12'><br>
			<br><input type='submit' name='Submit' value='Login'>";
			// &nbsp;&nbsp;&nbsp;<a href='AntragZugang.php?sw=0'>Neu Anmelden</a>
		echo "</form>";
	
	} else {
		echo "<div id='logoutbox'>
		Hallo " . $_SESSION['GlobalVorname'] . " " . $_SESSION['GlobalNachname'];
		echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Account: " . $_SESSION['GlobalAccount'] . "<br><br><A HREF='index.php?logout=1'>Abmelden</A>";
	}
	echo "</div>";
}

function zeige_rechts() {
	echo "<div id='rechts'>
		<a href='http://www.svstaffort.de'><img src='http://www.svstaffort.de/sv1/images/Allgemein/svs_logo_kl.png'></a>
		<br><br><a href='http://www.go-rauch.de'><img src='http://www.go-rauch.de/images/hierrauchts_button.jpg'></a>
		<br><br><a href='http://auch.hier-rauchts.de'><img src='http://auch.hier-rauchts.de/images/auch_hier_rauchts.png'></a>
		</div>";
}

function seitenfuss() {
	echo "<div id='fuss'><div id='container'>";
	echo "<A HREF='mailto:kontakt@raapp.de'>Kontakt</A> &nbsp;&nbsp; | &nbsp;&nbsp; <A HREF='../impressum.php'>Impressum</A> &nbsp;&nbsp; | &nbsp;&nbsp;&copy; 2018 raAPP
	</div></div>";
}

/* liefert 0 keine Anmeldung, 1 bei inaktiv, 2 bei Mailadresse OK, 3 bei Mailadresse und Account ok */
function check_kasse_usr($mailadresse, $account) {
	global $link;

	$abfrage = "SELECT id, vorname, nachname, aktiv, art, account from kasse_usr where mailadresse like '" . $mailadresse . "'";
	$erg = mysqli_query($link, $abfrage);
	list($usrid, $vorname, $nachname, $aktiv, $art, $acc)=mysqli_fetch_row($erg);
	$r= array('ret'=>0,'usrid'=>0);
	if($usrid>0 and $account!=$acc) { $r['ret']=2; $r['usrid']=$usrid; }
	if($usrid>0 and $account===$acc and $art>=0) { 
		$r['ret']=3;
		$r['usrid']=$usrid;
		$_SESSION['GlobalNachname']=$nachname;
		$_SESSION['GlobalVorname']=$vorname;
		$_SESSION['GlobalEmail']=$mailadresse;
		$_SESSION['GlobalAccount']=$acc;
		$_SESSION['GlobalArt']=$art;
		$_SESSION['versuch']="";
	}
	if($aktiv==0) { $r['ret']=1; $r['usrid']=$usrid; }
	$r['usrid']=$usrid;
	return($r);
}

function db_verbinden($db_host, $db_name, $db_user, $db_pass) {
	$link=mysqli_connect($db_host,$db_user,$db_pass, $db_name);

	if (! $link)
	 	die ( "Keine Verbindung zu MySQL !");

	// Einstellen zeichensatz fÃ¼r Kommunikation Client mit der Datenbank
	mysqli_query($link, "SET NAMES 'utf8'");
	mysqli_query($link, "SET CHARACTER SET 'utf8'");
	return $link;
}

// zur Ausgabe von Meldungen
function raapp_log($meldung) {

	$logdatei="/var/www/html/raapp/raapp.log";

	$meldung=date("d-m-Y H:i:s") . ": " . $meldung . "\n";
	if (is_writable($logdatei)) {
		if (!$handle = fopen($logdatei, "a")) {
			print "Kann die Datei $logdatei nicht öffnen";
			exit;
		}
		if (!fwrite($handle, $meldung)) {
			print "Kann in die Datei $logdatei nicht schreiben";
			exit;
		}
		fclose($handle);
	} else {
		print "Die Datei $logdatei ist nicht schreibbar";
	}
}

function letzterVerkauf($mail, $account) {
	global $link;

	$abfrage = "SELECT id_verkauf from kasse_verkauf where account like '" . $account . "' order by v_id DESC limit 1";
	$erg = mysqli_query($link, $abfrage);
	list($id)=mysqli_fetch_row($erg);
	return($id);
}

function hole_artikel() {
	global $link;

	$abfrage="SELECT artikel FROM kasse_preise where account like '" . $_SESSION['GlobalAccount'] . "'  ORDER BY artikel";
	// echo $abfrage;
	$erg = mysqli_query($link, $abfrage);

	$i=0;
	while ( $myartikel=mysqli_fetch_object( $erg )) {
		$artikel[$i]=$myartikel->artikel;
		$i++;
	}
	return($artikel);
}

// Preisliste in Session Variable laden
function laden_preisliste() {
	global $link;

	$i=1;
	$abfrage="SELECT p_id, artikel, preis,a_druck FROM kasse_preise where account like '" . $_SESSION['GlobalAccount'] . "'";
	$erg = mysqli_query($link, $abfrage);
	while ( $row = mysqli_fetch_array ( $erg ) )
	{
		if($i==1) {
			$preisl = array($i=>$row);
			++$i;
		} else {
			array_push($preisl, $row);
			++$i;
		}
	}
	// Echo "Artikel: ". $preisl['4']['artikel'] . " Preis: " . $preisl['4']['preis'];

	$_SESSION['preisl']=$preisl;
	// Echo "<br>SessionPreis: ". $_SESSION['preisl']['4']['preis'];
}

function verkauf_artikel_check($verk) {
	$i=0;
	foreach ($verk as $verkauf) {
		// Ist Artikel in Preisl zum drucken gekennzeichnet ?
		$druck=artikel_drucken_ja($verkauf['2']);
		// Info Druck zum Verkauf zufügen
		$verk[$i][4]=$druck;
		$i++;
	}
	// print_r($verk); echo "<br><br>";

	// Stornos löschen
	$i=0;
	foreach ($verk as $verkauf) {
		// zum drucken gekennzeichnete Sätze mit negativen Beträgen auf nicht drucken einstellen
		if($verkauf[4]==1) {
			if($verkauf['3']<0) {
				$verk[$i]['4']=0;
				// selben Artikel mit positivem Betrag suchen und auf nicht drucken stellen
				$ig=gegenstorno($verkauf['2'], $verk);
				$verk[$ig]['4']=0;
			}
		}
		$i++;
	}
	// print_r($verk); echo "<br><br>";
	return($verk);
}

function artikel_drucken_ja($artikel_name) {
	foreach($_SESSION['preisl'] as $preisliste) {
		if(strcmp($artikel_name, $preisliste['1'])==0) {
			return($preisliste['3']);
		}
	}
}

function gegenstorno($artikel, $verk) {
	$i=0;
	foreach ($verk as $artikellist) {
		if(strcmp($artikellist['2'], $artikel)==0 and $artikellist['4']==1) {
			return($i);
		}
		$i++;
	}
}

// erzeugt Bondruckdaten
// sind Druckdaten in der Warteschlange werden Druckdaten in array zurückgegeben, ansonsten wird 0 zurückgegeben
function bon($druckerid, $account, $verkaeufer) {
	global $link;

	$i=0;
	$satz="";
	$bon="";

	// Bonzeile1 aus drucker holen
	$abfrage="select bonzeile1 from kasse_drucker where d_id=" . $druckerid . " and account like '" . $account . "'";
	$erg = mysqli_query($link, $abfrage);
	list($bonzeile1)=mysqli_fetch_row($erg);

	// Druckjob aus Warteschlange
	if($verkaeufer == 0) {
		$abfrage="SELECT id_verkauf, verkaeufer, artikel, preis FROM kasse_verkauf left join kasse_wsdr on id_verkauf=verkauf_id
		where kasse_verkauf.account like '" . $account . "' and drucker_id=" . $druckerid . " and status=0";
	} else {
		$abfrage="SELECT id_verkauf, verkaeufer, artikel, preis FROM kasse_verkauf left join kasse_wsdr on id_verkauf=verkauf_id
		where kasse_verkauf.account like '" . $account . "' and drucker_id=" . $druckerid . " and status=0 and verkaeufer like '" . $verkaeufer . "'";
	}

	$erg = mysqli_query($link, $abfrage);
	while ( $row = mysqli_fetch_row ( $erg ) )
	{
		if($i==0) {
			$verk = array($i=>$row);
			++$i;
		} else {
			array_push($verk, $row);
			++$i;
		}
		$satz=$row[0];
	}

	if(isset($verk)) {
		$verk_fertig=verkauf_artikel_check($verk);

		// Druckaufbereitung für Zebra
		$bon = "\x1B\x40"; 													// Drucker initialisieren
		$bon = $bon . "\x1B\x70\x30\x37\x79";								// Kassenschublade öffnen

		foreach ($verk_fertig as $verk_bon) {
			if ($verk_bon[4] != 0) {											// Nur Bons drucken die zum drucken gekennzeichnet sind
				$bon .= "\x1B\x21\x08\x1B\x74\x10";							// Zeichensatz und Stil, Code Tabelle 16 WPC1252
				$bon .= "\t$bonzeile1\r\n";									// $bonkopf aus config.php
				$bon .= "\t"  . $verk_bon[1] . "\t";							// Verkäufer
				$bon .= date("d.m.Y - H:i", time()) . "\r\n\r\n";
				$bon .= "\x1D\x21\x11";											// Zeichengröße
				$bon .= "\t" . $verk_bon[2] . " ";								// Artiklename
				$bon .= "\x1B\x21\x08";
				$bon .= "\r\n\t" . number_format($verk_bon[3],"2",",",".") . " €\r\n";	// Dezimalstellen formatieren
				$bon .= "\x1D\x56\x41\x39";										// Abschneiden nach 9 Punkten Vorschub
			}
		}
		$bon = $bon . "\x1B\x40";										// Drucker initialisieren

		$bon_return=array($verk_bon[1],$verk_bon[2],mb_convert_encoding($bon, "Windows-1252", "UTF-8"), $satz );
		return ($bon_return);
	} else { return(0);
	}
}

// Drucker Betriebsart ermitteln  gibt array mit Betriebsart, Anschlussart und Gerätename zurück
function drucker_betriebsart($drucker, $account) {
	global $link;

	$abfrage="select bart, aart, geraet from kasse_drucker where d_id=$drucker and account='$account'";
	$erg = mysqli_query($link, $abfrage);
	list($bart, $aart, $geraet)=mysqli_fetch_row($erg);

	return(array("bart"=>$bart, "aart"=>$aart, "geraet"=>$geraet));
}

// Druckfunktion für direkt angeschlossene Drucker
function direktdruck($druckerid,$geraet, $account) {
	global $link;

	if( !isset($_SESSION['preisl'])) {
		laden_preisliste();
	}
	// Bondaten erzeugen
	$bon = bon($druckerid, $account, 0);
	if($bon!=0) {
		// Sichergehen, dass die Gerätedatei existiert und beschreibbar ist
		if (is_writable($geraet)) {
			// $geraet im "Anhänge" - Modus öffnen
			if (!$handle = fopen($geraet, "a")) {
				print "Kann den Drucker $geraet nicht öffnen";
				exit;
			}		
			// Schreibe $bon in die geöffnete Datei.
			if (!fwrite($handle, $bon[2])) {
				print "Kann auf den Drucker $geraet nicht schreiben";
				exit;
			}	
			fclose($handle);
				
			// nach Druck Status in Warteschlange auf 1 für gedruckt stellen
			$abfrage="UPDATE kasse_wsdr set status=1 where verkauf_id=" . $bon[3];
			$erg = mysqli_query($link, $abfrage);
		} else {
			print "Der Drucker $geraet ist nicht ansprechbar";
		}
	}

	/* über CUPS funktioniert leider nicht druck bricht sporadisch ab
		$pipe = popen("lp -d $drucker -o raw", "w");
	fputs($pipe, $bon, strlen($bon));
	fflush($pipe);
	pclose($pipe); */
}

function netzwerkdruck($druckerid,$geraet, $account) {
	global $link;
	
	if( !isset($_SESSION['preisl'])) {
		laden_preisliste();
	}
	
	$geraet_ip_port=explode(":", $geraet);	// array mit IP und Port erzeugen
	
	$bon = bon($druckerid, $account, 0);	// Bondaten erzeugen
	if($bon!=0) {
		if(!($sock = socket_create(AF_INET, SOCK_STREAM, 0)))
		{
			$errorcode = socket_last_error();
			$errormsg = socket_strerror($errorcode);
			 
			die("socket kann nicht erzeugt werden: [$errorcode] $errormsg \n");
		}
		
		if(!socket_connect($sock , $geraet_ip_port[0] , $geraet_ip_port[1]))			// mit printserver verbinden
		{
			$errorcode = socket_last_error();
			$errormsg = socket_strerror($errorcode);
			 
			die("keine Verbindung zum printserver: [$errorcode] $errormsg \n");
		}

		if( ! socket_send ( $sock , $bon[2] , strlen($bon[2]) , 0))							// Bon senden
		{
			$errorcode = socket_last_error();
			$errormsg = socket_strerror($errorcode);
			 
			die("Bon senden nicht möglich: [$errorcode] $errormsg \n");
		}
		
		socket_close($sock);
		
		// nach Druck Status in Warteschlange auf 1 für gedruckt stellen
		$abfrage="UPDATE kasse_wsdr set status=1 where verkauf_id=" . $bon[3];
		$erg = mysqli_query($link, $abfrage);
	}
}

function betriebssystem() {
	switch (true) {
		case stristr(PHP_OS, 'DAR'): return 1;
		case stristr(PHP_OS, 'WIN'): return 2;
		case stristr(PHP_OS, 'LINUX'): return 3;
		default : return 0;
	}
}

function TabelleExistiert( $tabelle ) {
	global $link;
	
	$tables = mysqli_query( $link, "SHOW TABLES");
	
	mysqli_data_seek ( $tables, 0 );
	$ergebnis = FALSE;
	while ( $row = mysqli_fetch_row( $tables )) {
		// echo $row[0]."<br>";
		if ( $row[0] == $tabelle ) {
			$ergebnis = TRUE;
			break;
		}
	}
	return $ergebnis;
}

function TabelleSpalteExistiert( $tabelle, $spalte) {
	global $link;
	
	$abfrage="show columns from $tabelle";
	$spalten = mysqli_query($link, $abfrage);
	
	mysqli_data_seek ( $spalten, 0 );
	$ergebnis = FALSE;
	
	while ( $row = mysqli_fetch_row( $spalten )) {
		// echo $row[0]."<br>";
		if ( $row[0] == $spalte ) {
			$ergebnis = TRUE;
			break;
		}
	}
	return $ergebnis;
}

function TextExistiertErsetzen($file, $fileout, $suchtext, $ersatztext, $dazutext) {
	$inhalt=file_get_contents($file);
	if(!stripos($inhalt, $suchtext)) {
		$inhalt=str_replace($ersatztext, $dazutext, $inhalt);
		
		if (!$handle = fopen($fileout, "w")) { return("Kann die Datei $fileout nicht &ouml;ffnen");	}
		
		// Schreibe in die geöffnete Datei.
		if (!fwrite($handle, $inhalt)) { return("Kann in die Datei $fileout nicht schreiben"); }
		fclose($handle);
		
		return ("$dazutext an $fileout angehängt");
	} else {
		return ("$suchtext bereits vorhanden");
	}
}
?>