<?php
/*
Copyright 2016	Matthias Rauch
www.raapp.de

Dieses Programm ist freie Software. Sie können es unter den Bedingungen der GNU General Public License,
wie von der Free Software Foundation veröffentlicht, weitergeben und/oder modifizieren,
entweder gemäß Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.
Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, daß es Ihnen von Nutzen sein wird,
aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK.
Details finden Sie in der GNU General Public License.
Sie sollten ein Exemplar der GNU General Public License zusammen mit diesem Programm erhalten haben.
Falls nicht, siehe <http://www.gnu.org/licenses/>.

*/

include('../funktionen.php');
include('config.php');
	
htmlkopf();
echo "<div class='oben_k'><div id='container'><div><a HREF='index.php'><IMG SRC='../kasse/images/raapp_logo.png' NAME='Logo'></a></div></div></div>
<div id='container'>";

echo "<h3>raAPP Kasse Bedienungsanleitung</h3>
	<ul><li><a HREF='#kasse'>raAPP Kasse</a></li>
	<li><a HREF='#server'>raAPP Kasse Server</a></li>
	<li><a HREF='#print'>raAPP Print</a></li>
	</ul><br>
	<br>";

echo "<hr><h3>raAPP Kasse</h3>
	<ul><li><h3><a id='kasse'>raAPP Kasse</a></h3></li>
    <ul><li>raAPP Kasse kann 36 Artikel auf 2 Seiten darstellen
    <br>der Seitenwechsel erfolgt durch anklicken des raAPP Kasse Logos <img src='../kasse/images/raapp_logo.png' width='60px'>
    <br>&Uuml;ber den Tischbutton kann die Tischnummer eingegeben und die Tischabrechnung gestartet werden.
	<br>Auf der rechten Seite im Kopfbereich findet man den Button zur Einstellung des Verkäufers, sowie den Button zu den Einstellungen.
    <br><br><img src='../manual/images/kasse1.png'> <img src='../manual/images/kasse2.png'>
    <br><br>Durch anklicken des Artikelbuttons wird der Artikel gebucht und im Summenfeld aufaddiert.
    <br>Mit Storno Total kann der komplette Verkauf storniert werden, mit Liste Verkauf der momentane Buchungsstand angezeigt und bei Bedarf eine Buchung storniert werden.
    <br>Mit Klick auf neuer Verkauf wird der Verkauf abgeschlossen und die Verkaufssumme nochmal angezeigt.
    <br>Nach Bestätigung der Verkaufssumme startet ein neuer Verkauf.
    <br><br>raAPP Kasse kann auch als Mehrbenutzerkasse betrieben werden, dabei wird vor dem Start des neuen Verkaufsvorganges nochmal eine Abfrage des Verkäufers angezeigt.
    <br><br>Im Bereich <img src='../kasse/images/raapp_setup.png' width='20px'> Einstellungen kann der gesamte Verkauf der Kasse angezeigt werden.
    </li>
	</ul></ul>
	
	<ul><li><h3><a id='kasse'>raAPP Kasse standalone Betrieb</a></h3></li>
    <ul><li>Mit der Funktion Verkauf senden in <img src='../kasse/images/raapp_setup.png' width='20px'> Einstellungen wird der Verkauf an die eigene Mailadresse versendet.
    <br>Das Senden der Verkaufsliste erfordert eine Anmeldung bei <a HREF='http://www.raapp.de'>www.raapp.de</a>. Der Betrieb von raAPP Kasse ist auch ohne Anmledung möglich.
    <br><img src='../kasse/images/raapp_back.png' width='20px'> navigiert eine Ebene zurück.
	</li>
	</ul></ul>
	
	<ul><li><h3>raAPP Kasse in Verbindung mit raAPP Kasse Server</h3></li>
	<ul><li>In Verbindung mit raAPP Kasse Server wird nach klick auf den Button neuer Verkauf, der Verkauf an raAPP Kasse Server gesendet und dort weiterverarbeitet.
	<br></li>
	</ul></ul>
	<br><br>";

echo "<hr><h3><a id='server'>raAPP Kasse Server</a></h3>
	raAPP Kasse Control Center starten und mittels Benutzerkennung und Account anmelden.
	<br>Die Artikel-, Drucker-, Kassen-, Verkäufer-, Benutzerverwaltung ist im Manual Installation beschrieben.
	<ul><li><h3>Verkäuferabrechnung</h3></li>
	<img src='images/abrechnung.png' style='float:right;'>
	<ul><li>mit <span class='navig'>Verkäufer</span> die Verkäuferverwaltung starten
	<br><br>und mit <img src='images/raapp_euro.png'> die Verkäuferabrechnung starten.
	<br><br>Im oberen Bereich werden die Umsatzsummen der einzelnen Artikel angezeigt, darunter die Abrechnung.
	<br><br>Mit <img src='images/raapp_ok.png' width='40px'> wird die Abrechnung abgeschlossen und verbucht.
	</li></ul>
	<br><br>
	</li></ul></ul>
	<ul><li><h3>Report</h3></li>
	<ul><li>mit <span class='navig'>Report</span> auf die Report-Seite wechseln
	<br><br>Den Zeitraum des Report durch Auswahl des Datums in den Feldern von und bis eingeben und mit Klick auf den Button Report die Auswertung starten.
	<br><br><img src='images/report.png'>
	<br><br>mit CSV-Export wird der angezeigte Report exportiert.
	<br>mit CSV-Export Detail wird die komplette Verkaufstabelle mit allen Detailinformationen exportiert.
	<br><br><img src='images/report1.png'>
	<br><br></li></ul>
	<br>
	</li></ul></ul>
	";

echo "<hr><h3><a id='print'>raAPP Print</a></h3>
	<ul><li>raAPP Print im Browser aufrufen und über den Button <img src='images/raapp_start.png' width='20px'> raAPP Print starten.
    <br>Wird raAPP Print in der Anschlussart <span class='manbold'>App</span> und Betriebsart <span class='manbold'>auto</span> betrieben, startet der Printserver.
    <br>Wird raAPP Print in der Betriebsart <span class='manbold'>bedient</span> betrieben wird für jeden zugeordneten Verkäufer ein Button angezeigt.
    Durch Klick auf den Button werden die Bons des jeweiligen Verkäufers gedruckt.
    </li>
	</ul></ul>
	";

echo "<br><br></div>";
seitenfuss();
htmlende();
?>

