<?php
/*
Copyright 2018	Matthias Rauch
www.raapp.de

Dieses Programm ist freie Software. Sie können es unter den Bedingungen der GNU General Public License,
wie von der Free Software Foundation veröffentlicht, weitergeben und/oder modifizieren,
entweder gemäß Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.
Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, daß es Ihnen von Nutzen sein wird,
aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK.
Details finden Sie in der GNU General Public License.
Sie sollten ein Exemplar der GNU General Public License zusammen mit diesem Programm erhalten haben.
Falls nicht, siehe <http://www.gnu.org/licenses/>.

*/

include('../funktionen.php');
include('config.php');
	
htmlkopf();
echo "<div class='oben_k'><div id='container'><div><a HREF='index.php'><IMG SRC='../kasse/images/raapp_logo.png' NAME='Logo'></a></div></div></div>
<div id='container'>";

echo "<h3>raAPP Kasse Installation</h3>
	<h3>Systemvoraussetzungen</h3>
	<ul><li><a HREF='#kasse'>raAPP Kasse</a></li>
	<li><a HREF='#print'>raAPP Print</a></li>
	<li><a HREF='#server'>raAPP Kasse Server</a></li>
	</ul>
	<h3>Installation</h3>
	<ul><li><a HREF='#ikasse'>raAPP Kasse</a></li>
	<li><a HREF='#iprint'>raAPP Print</a></li>
	<li><a HREF='#iserver'>raAPP Kasse Server</a></li>
	</ul><br><br>";

echo "<hr><h3>Systemvoraussetzungen</h3>
	<ul><li><h3><a id='kasse'>raAPP Kasse</a></h3></li>
    <ul><li>HTML5 fähiger Browser mit lokaler Datenbankunterstützung</li>
    <li>PC, Smartphone oder Tablet-Browser unterstützen in der Regel die lokale Datenbank</li>
    <li>Javascript-Unterstützung</li>
    <li>Netzwerkverbindung für den erstmaligen Start</li>
    <li>Verkaufsliste senden erfordert Registrierung auf www.raAPP.de</li>
	</ul></ul>
	
	<ul><li><h3><a id='print'>raAPP Print</a></h3></li>
	<ul><li>HTML5 fähiger Browser mit lokaler Datenbankunterstützung</li>
	<li>PC, Smartphone oder Tablet-Browser unterstützen in der Regel die lokale Datenbank</li>
	<li>Javascript-Unterstützung</li>
	<li>Netzwerkverbindung zum raAPP Kasse Server</li>
	</ul></ul>
	
	<ul></li><h3><a id='kasse'>raAPP Kasse Server</a></h3></li>
	<ul><li>Apache HTTP Server</li>
	<li>PHP5 oder PHP7 (empfohlen)</li>
	<li>MySQL Datenbank</li>
	</ul></ul>";
	
echo "<hr><h3>Installation</h3>
	<ul><li><h3><a id='ikasse'>raAPP Kasse</a></h3></li>
	<ul><li>Eine Installation von raAPP Kasse ist nicht notwendig</li>
	<li>Einfach raAPP Kasse im Webbrowser starten. Fertig.</li>
	</ul></ul>
	
	<ul><li><h3><a id='iprint'>raAPP Print</a></h3></li>
	<ul><li>Eine Installation von raAPP Print ist nicht notwendig</li>
	<li>Einfach raAPP Print im Webbrowser starten. Fertig.</li>
	</ul></ul>
	
	<ul><li><h3><a id='iserver'>raAPP Kasse Server</a></h3></li>
	<ul><li>raAPP Kasse Server Paket von www.raAPP.de auf dem lokalen Rechner speichern</li>
	<li>Die Anleitungen zu Installation gehen von der Annahme aus, daß raAPP Kasse Server in einem privaten Netz installiert wird, 
		das beim Betrieb über WLAN über üblichen WLAN-Zugriffschutz/Verschlüsselung gesichert ist 
	    und somit keine besonderen Sicherheitsmaßnahmen im raAPP Kasse Server erforderlich sind</li>
	<li><a HREF='#iwin'>vorbereiten und installieren unter Windows</a></li>
	<li><a HREF='#iunix'>vorbereiten und installieren unter Unix</a></li>
	</ul></ul>";

echo "<hr><h3><a id='iwin'>vorbereiten und installieren unter Windows</a></h3>
	<h3>Ready to Run Paket raAPP Kasse Server</h3>
	<ul><li><h3>Apache HTTP Sever, MySQL und raAPP Kasse Server installieren</h3></li>
	<ul><li>Download Paket entpacken und Inhalt in das Wurzelverzeichnis der Festplatte kopieren.
	Im Dateimanager in das Verzeichnis xampp wechseln und die Datei xampp_control.exe mit rechter Maustauste als Administrator starten.
	Beim erstmaligen Start von XAMPP meldet sich die Windows Firewall. Hier bitte den Zugriff über das Netzwerk erlauben.
	Damit ist die Installation von raAPP Kasse Server abgeschlossen.
	<br><br>Weiter geht es mit der <a HREF='konfig.php'>Konfiguration</a> im raAPP Kasse Control Center.
	</li></ul></ul>
<h3>Standardpaket raAPP Kasse Server</h3>
	<ul><li><h3>Apache HTTP Sever und MySQL installieren</h3></li>
	<ul><li>Der einfachste Weg einen MySQL und Apache HTTP Server unter Windows zu installieren ist die XAMPP Distribution von <a HREF='https://www.apachefriends.org/de/index.html' target='_blank'>Apachefriends</a> zu verwenden. 
	Download <a HREF='https://www.apachefriends.org/download.html' target='_blank'>hier</a><br>
	Nach der Installation lässt sich der Apache HTTP Server und die MySQL-Datenbank über das XAMPP Control Center starten. Das XAMPP Control Center sollte als Administrator gestartet werden.
	Nach dem Start der Server erfolgt der Zugriff auf die XAMPP Umgebung über die URL <span class='manbold'>http://localhost</span> im Browser.
	<br><br>Ab Windows10 belegt Windows selbst den Standardport 80, deshalb unbedingt in der Datei xampp/apache/con/httpd.conf bei den Eintr&auml;gen Listen und und ServerName den Port von 80 auf 81 umstellen.
	Die Datei kann mit dem Windows Standard Editor bearbeitet werden.
	</li></ul></ul>
	<ul><li><h3>Vorbereiten der MySQL-Datenbank</h3></li>
	<ul><li><span class='manbold'>phpMyAdmin</span> unter <span class='manbold'>http://localhost:81</span> starten und eine leere Datenbank mit dem Namen <span class='manbold'>raapp</span> einrichten.
	</li></ul></ul>
	<ul><li><h3>raAPP Kasse Server installieren</h3></li>
	<ul><li>Im htdocs-Verzeichnis ihrer XAMPP Installation ein Verzeichnis raapp anlegen und die Dateien aus dem raAPP Kasse Server Paket hineinkopieren.<br>
	Anschließend wird die Installation durch laden der Seite <span class='manbold'>http://localhost:81/raapp/kasse</span> gestartet. Nach Eingabe der Datenbankparameter werden durch die Installationsroutine die Tabellen in der Datenbank erzeugt.<br>
	Damit ist die Installation von raAPP Kasse Server abgeschlossen.
	</li></ul></ul>

	<ul><li><h3>raAPP Kasse Control Center starten</h3></li>
	<ul><li><span class='manbold'>http://localhost:81/raapp/kasse/controlcenter</span>
	</li></ul></ul>";

echo "<hr><h3><a id='iunix'>vorbereiten und installieren unter Unix</a></h3>
	<ul><li><h3>hier wird die Installation unter Ubuntu beschrieben</h3></li>
	<li><h3>Apache Sever und MySQL installieren</h3></li>
	<ul><li>Terminal mit der Tastenkombination <span class='manbold'>Strg+Alt+t</span> starten und folgendes Kommando ausführen<br>
	<span class='manbefehl'>sudo apt-get install apache2 libapache2-mod-php7.0 php7.0 php7.0-mysql mysql-server</span><br>
	Apache, PHP und MySQL werden installiert. Es ist zu empfehlen während der Installation ein Datenbankpasswort zu vergeben.
	Weitere Informationen siehe auch <a HREF='http://wiki.ubuntuusers.de/LAMP' target='_blank'>ubuntuusers.de</a> </li>
	</ul></ul>
	<ul><li><h3>Vorbereiten der MySQL-Datenbank</h3></li>
	<ul><li>zur einfachen Verwaltung der MySQL-Datenbank empfiehlt sich das Open-Source Paket <span class='manbold'>phpMyAdmin</span>.
	Download <a HREF='http://www.phpmyadmin.net' target='_blank'>hier</a><br>
	Die Dateien aus dem download nach <span class='manbold'>/var/www/html/phpmyadmin</span> kopieren, über <span class='manbold'>http://localhost/phpmyadmin</span> im Browser starten
	und eine leere Datenbank mit dem Namen <span class='manbold'>raapp</span> einrichten.
	<br>Weitere Informationen siehe auch <a HREF='https://wiki.ubuntuusers.de/MySQL/Werkzeuge/'>ubuntuusers.de</a>
	</li></ul></ul>
	<ul><li><h3>raAPP Kasse Server installieren</h3></li>
	<ul><li>Dateien aus dem raAPP Kasse Server Paket in das Verzeichnis <span class='manbold'>/var/www/html/raapp</span> kopieren.
	<br>Terminal starten und folgende Kommandos ausführen<br>
	<span class='manbefehl'>sudo chgrp -R www-data /var/www/html/raapp</span><br>
	<span class='manbefehl'>sudo chmod -R 775 /var/www/html/raapp</span><br>
	<br>Anschließend wird die Installation durch laden der Seite <span class='manbold'>http://localhost/raapp/kasse</span> im Browser gestartet. Nach Eingabe der Datenbankparameter werden die Tabellen in der Datenbank erzeugt.<br>
	<h3>Damit ist die Installation von raAPP Kasse Server abgeschlossen.</h3> Weiter geht es mit der <a HREF='konfig.php'>Konfiguration</a>.
	<br><br>
	</li></ul></ul>
	<ul><li><h3>udev-Regel für USB Drucker installieren (optional)</h3></li>
	<ul><li>Terminal starten und folgende Kommandos ausführen<br>
	<span class='manbefehl'>sudo cp /var/www/html/raapp/kasse/unix_specials/70-raAPP-printers.rules /etc/udev/rules.d/70-raAPP-printers.rules</span><br>
	</li></ul></ul>
	<ul><li><h3>raAPP Kasse Starter für Desktop erzeugen (optional)</h3></li>
	<ul><li>im Terminal Dateimanager nautilus starten<br>
	<span class='manbefehl'>sudo nautilus</span>
	<br>In das Verzeichnis <span class='manbold'>/var/www/html/raapp/kasse/unix_specials</span> wechseln und die Dateien <span class='manbold'>raAPP Kasse.desktop</span>
	 und <span class='manbold'>raAPP Kasse ControlCenter.desktop</span> auf den Desktop kopieren.
	<br><br>Anschließend die Datei auf dem Desktop ausführbar machen. Klick auf Datei mit rechter Maustaste, dann Eigenschaften und im Reiter Zugriffsrechte den Haken bei Ausführen setzen.
	</li></ul></ul>";

echo "<br><br></div>";
seitenfuss();
htmlende();
?>

