<?php
/*
Copyright 2015	Matthias Rauch
www.raapp.de

Dieses Programm ist freie Software. Sie können es unter den Bedingungen der GNU General Public License,
wie von der Free Software Foundation veröffentlicht, weitergeben und/oder modifizieren,
entweder gemäß Version 3 der Lizenz oder (nach Ihrer Option) jeder späteren Version.
Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, daß es Ihnen von Nutzen sein wird,
aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK.
Details finden Sie in der GNU General Public License.
Sie sollten ein Exemplar der GNU General Public License zusammen mit diesem Programm erhalten haben.
Falls nicht, siehe <http://www.gnu.org/licenses/>.

*/
session_start();
include('../config.php');
include('../funktionen.php');
$link=db_verbinden($db_host, $db_name, $db_user, $db_pass);

$xml = new SimpleXMLElement(stripslashes($_POST['xml']));

if(sessioncheck()) {
	$ret['ret']=3;
} else {
	$ret=check_kasse_usr((string)$xml->mail, (string)$xml->account);
}

	// echo "ret: " . $ret['ret'] . "<br>";
	switch($ret['ret']) {
		case 0:		echo "Sie haben keinen gültigen Account, bitte melden Sie sich unter www.raApp.de an";
					break;
		case 1:		echo "Ihr Account ist inaktiv, bitte melden Sie sich unter www.raApp.de erneut an";
					break;
		case 2:		echo "Sie haben sich noch keinen Account für raApp Kasse pro,bitte melden Sie sich unter www.raApp.de an";
					break;
		case 3: 	switch($xml->befehl) {
						case 0:	$geraet=drucker_betriebsart($xml->druckerid, $xml->account);
								header("Content-Type: text/json");
								echo json_encode($geraet);
								break;
						// automatisch drucken
						case 1: if( !isset($_SESSION['preisl'])) {
									laden_preisliste();
									}
								drucken($xml);
								break;
						// bedient drucken
						case 2:	verkaeufer($xml->druckerid);
								break;
						default:
								sitzung_del();
						}
					break;
		default: 	echo "Sie haben keinen gültigen Account, bitte melden Sie sich unter www.raApp.de an";
	}

function verkaeufer($drucker) {
	global $link;
	$i=0;
	// verkaeufer holen
	// SELECT `vorname`,`nachname`, `drucker` FROM `kasse_kassen`, `kasse_verkaeufer` WHERE `k_id` = `kasse` and drucker=1
	$abfrage="SELECT vorname, nachname FROM kasse_kassen, kasse_verkaeufer WHERE k_id = kasse and drucker='" . $drucker . "'";
	$erg = mysqli_query($link, $abfrage);
	while($row = mysqli_fetch_row ( $erg )) {
		$verkaeufer[$i] = $row[0] . " " . $row[1];
		++$i;
	}
	header("Content-Type: text/json");
	echo json_encode($verkaeufer);
	
	//echo "$abfrage<br>Vorname: " . $verkaeufer[0] . "<br>Hier kommt der Verkaeufer";
}

// gibt Druckdaten an printer App zurück
function drucken($xml){
	global $link;
	
	// Betriebsart und Gerätename des Druckers ermitteln und bei betriebsart direkt sofort lokal drucken
	$geraet=drucker_betriebsart($xml->druckerid, $xml->account);
	
	switch($geraet['aart']) {	// Anschlussart
		case direkt:	direktdruck($xml->druckerid, $geraet['geraet'], $xml->account);
						break;
		case Netzwerk:	netzwerkdruck($xml->druckerid, $geraet['geraet'], $xml->account);
						break;
		default:		// bei Betriebsart App Bondaten an print App zurück für druck am Client	
						// Bondaten erzeugen
						$bon=bon($xml->druckerid, $xml->account, $xml->verkaeufer);
	
						if($bon!=0) {
							$bon64 = base64_encode($bon[2]);
							$json_bon = array('verkaeufer'=>$bon[0], 'artikel'=>$bon[1], 'bon'=>$bon64);
					
							header("Content-Type: text/json");
							echo json_encode($json_bon);
						
							// nach Druck Status in Warteschlange auf 1 für gedruckt stellen
							$abfrage="UPDATE kasse_wsdr set status=1 where verkauf_id=" . $bon[3];
							$erg = mysqli_query($link, $abfrage);
						}
	}
}

function sitzung_del() {
	session_destroy();
	session_unset();
	unset($_SESSION);
	echo "gestoppt";
}

?>